<?php
/**
 * $Id: list.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
class CommunityControllerList extends CommunityController
{
	function __construct()
	{
		parent::__construct();

	}
	function display()
	{
		JRequest::setVar('view','list');
		parent::display();
	}
	function cancel()
	{
		$this->setRedirect('index.php?option=com_community&controller=userlists');

	}
	function apply()
	{
		$this->save();
	}

	function save()
	{
		$post = JRequest::get('post', 2);
		$title = $post['title'];
		$description = $post['description'];
		$id = $post['cid'][0];
		$task = $post['task'];
		unset($post['cid']);
		unset($post['title']);
		unset($post['description']);
		unset($post['option']);
		unset($post['controller']);
		unset($post['task']);




		$safePost = ($this->makePostSafe($post));
		$params = new JParameter($safePost);

		JPluginHelper::importPlugin('community');
		$dispatcher = &JDispatcher::getInstance();
		$leftJoines = $dispatcher->trigger('onSqlJoin');
		$whereClause =  $dispatcher->trigger('onSqlWhere');
		$model = &$this->getModel("List", "CommunityModel");
		$leftJoines = $model->_cleanArray($leftJoines);
		$whereClause = $model->_cleanArray($whereClause);
		$query = implode(" \n ", $leftJoines)." WHERE 1 ".implode(" \n ", $whereClause);
		$id = $model->save($id, $title, $description, $query, $params);
		if ($task == 'apply')
		{
			$this->setRedirect('index.php?option=com_community&controller=list&task=edit&cid[]='.$id, JText::_('User List Saved'));
		}
		else
		{
			$this->setRedirect('index.php?option=com_community&controller=userlists', JText::_('User List Saved'));
		}
	}

	function makePostSafe($post=array(), $postkey = null)
	{
		$string = '';
		foreach($post as $key=>$val)
		{
			if (is_array($val))
			{
				$string.= $this->makePostSafe($val, $postkey.$key);
			}
			else
			{
				if ($postkey!=null)
				{
					$string.= "\n".$postkey."[".$key."]"."=".$val;
				}
				else
				{
					$string.="\n".$key."=".$val;
				}
			}

		}

		return $string;

	}




}
?>