<?php
/**
 * $Id: coretemplate.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

class JElementCoreTemplate extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
		global $mainframe;
		jimport('joomla.filesystem.folder');

		$exclude     = $node->attributes('exclude');
		$multiple    = $node->attributes('multiple');
		$items = CommunityHelperSiteTemplates::parseXMLTemplateFiles(JPATH_ROOT.DS.'templates');

		$multipleText = ((boolean)$multiple)?' multiple="multiple" ': '';
		$options = array();
		foreach($items as $item)
		{
			$options[] = JHTML::_('select.option', $item->mosname, $item->name);
		}
		return JHTML::_('select.genericlist', $options, "{$control_name}[{$name}][]", ' class="inputbox" '.$multipleText, 'value', 'text', $value);
	}
}


?>