<?php 
/**
 * $Id: default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); ?>
<form name='adminForm' method="post" action="<?php $this->uri->toString();?>">
<table class="adminlist">
<thead>
	<tr>
		<th width="10">
			<?php echo JText::_( 'NUM' ); ?>
		</th>
		<th width="20">
			<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->data ); ?>);" />
		</th>
		<th class="title">
			<?php echo JHTML::_('grid.sort',  'Title',      'a.title',       $this->lists['order_Dir'], $this->lists['order'] ); ?>
		</th>
		<th width="5%">
			<?php echo JHTML::_('grid.sort',  'Published',  'a.published',   $this->lists['order_Dir'], $this->lists['order'] ); ?>
		</th>
		<th width="10%" nowrap="nowrap">
			<?php echo JHTML::_('grid.sort',  'Order',      'a.ordering',    $this->lists['order_Dir'], $this->lists['order']  ); ?>
       		<?php echo JHTML::_('grid.order', $this->data ); ?>
		</th>
		<th width="5%">
			<?php echo JText::_( 'NUM' ); ?> <?php echo JText::_("Active"); ?>
		</th>
		<th width="10">
			<?php echo JHTML::_('grid.sort',  'ID',         'a.id',          $this->lists['order_Dir'], $this->lists['order']  ); ?>
		</th>



	</tr>
</thead>
<tbody>
<?php
	$k = 0;
	for ($i=0, $n=count( $this->data ); $i < $n; $i++)
	{
	  	$item 	=& $this->data[$i];
		$img  = $item->published ? 'tick.png'                : 'publish_x.png';
  		$task = $item->published ? 'unpublish'               : 'publish';
  		$alt  = $item->published ? JText::_( 'FM_L_Unpublished' ) : JText::_( 'FM_L_Published' );
  		$link = 'index.php?option=com_community&amp;controller=categories&amp;task=edit&amp;cid[]='.$item->id.'';
  		$access 	= JHTML::_('grid.access',   $item, $i );
		?>
		<tr class="<?php echo "row$k"; ?>">
  				<td>
  					<?php echo $this->pagination->getRowOffset( $i );?>
  				</td>
  				<td>
  					<?php echo JHTML::_('grid.id', $i, $item->id ); ?>
  				</td>
  				<td>
  					<a href="<?php echo $link; ?>">
  						<?php echo $item->title; ?> (<?php echo $item->name; ?>)</a>
  				</td>
  				<td align="center">
  						<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
  						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a>
  				</td>
  				<td class="order">
      				<span><?php echo $this->pagination->orderUpIcon( $i, true,'orderup', 'Move Up', true ); ?></span>
      				<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span>
      				<?php $disabled = true ?  '' : 'disabled="disabled"'; ?>
      				<input type="text" name="order[]" size="5" value="<?php echo $item->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
      			</td>
      			<td align="center">
      				<?php echo $item->numGroups; ?>
      			</td>
      			<td>
      				<?php echo $item->id; ?>
      			</td>
  		</tr>


		<?php
		$k = 1 - $k;
	}

?>
</tbody>
<tfoot>
	<tr>
		<td colspan="7">
			<?php echo $this->pagination->getListFooter(); ?>
		</td>
	</tr>
</tfoot>
</table>
<input type="hidden" name='option' value="com_community" />
<input type="hidden" name='view'   value="categories"    />
<input type="hidden" name='controller'   value="categories"    />
<input type="hidden" name="filter_order"     value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="task" value="" />
</form>
<?php
/*print "<pre>";
print_r($this->data);
print "</pre>";*/
?>