<?php 
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); 
jimport( 'joomla.application.component.view');

class CommunityViewCategories extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		if (JRequest::getCmd('layout') == 'edit')
		{
			$this->_editForm($tpl);
			return;
		}
		$lists = array();
		$lists['order']		= $mainframe->getUserStateFromRequest( $option.'.categories.filter_order',		'filter_order',		'a.ordering',  	'cmd' );
		$lists['order_Dir']	= $mainframe->getUserStateFromRequest( $option.'.categories.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		$search				= $mainframe->getUserStateFromRequest( $option.'search',			'search',			'',				'string' );
		$search				= JString::strtolower( $search );

		$user = &JFactory::getUser();
		$uri  = &JFactory::getURI();


		JToolBarHelper::title(JText::_( 'Group Categories' ), 'categories.png');
		JToolBarHelper::publish();
		JToolBarHelper::unpublish();
		JToolBarHelper::spacer();
		JToolBarHelper::addNew();
		JToolBarHelper::editListX();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList();

		$data       = &$this->get("Data");
		$pagination = &$this->get("Pagination");

		$this->assignRef('data',       $data);
		$this->assignRef('pagination', $pagination);

		$this->assignRef('uri',        $uri);
		$this->assignRef('user',       $user);
		$this->assignRef('lists',      $lists);

		parent::display($tpl);



	}

	function _editForm($tpl = null)
	{
		$array = JRequest::getVar('cid', array(0), '', 'array');
		$cid = $array[0];
		$task = (boolean)($cid) ? JText::_("edit") : JText::_("create");

		JToolBarHelper::title(JText::_('Category')." <small>[".$task."]</small>" , 'categories.png');
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();

		$tCategories = &JTable::getInstance("Categories", "CommunityTable");
		$tCategories->load($cid);
		/*print "<pre>";
		print_r($tCategories);
		print "</pre>";
		exit;*/
		$lists = array();
		$lists['published'] = JHTML::_('select.booleanlist', 'published', 'class="inputbox"',  $tCategories->get("published", JRequest::getInt('published', 1)), 'yes', 'no', 'published');


		$query = 'SELECT ordering AS value, title AS text'
		. ' FROM #__community_group_categories'
		. ' ORDER BY ordering'
		;
		if ($tCategories->get('id', 0)) {
			$lists['ordering'] 	= JHTML::_('list.specificordering',  $tCategories, $tCategories->get('id', 0), $query );
		}
		else {
			$lists['ordering'] 	= JHTML::_('list.specificordering',  $tCategories, '', $query );
		}
		$lists['access'] 		= JHTML::_('list.accesslevel',  $tCategories );

		$active =  ( $tCategories->image_position ? $tCategories->image_position : 'left' );
		$lists['image_position'] 	= JHTML::_('list.positions',  'image_position', $active, NULL, 0, 0 );
		// Imagelist
		$lists['image'] 			= JHTML::_('list.images',  'image', $tCategories->image );


		$acl    = & JFactory::getACL();
		$gtree  = $acl->get_group_children_tree( null, 'USERS', false );
		$selected = array();
		if ($tCategories->get('id', 0) > 0)
		{
			$selected = explode("|",$tCategories->access_create);
		}
		$gtreenum = count($gtree);
		for($i = 0; $i < $gtreenum; $i++)
		{

			if ($gtree[$i]->value == 29 || $gtree[$i]->value == 30)
			{
				unset($gtree[$i]);

			}
			else
			{
				if ($tCategories->get('id', 0) == 0) {
					$selected[] = $gtree[$i]->value;
				}

			}
		}
      	$lists['access_create']   = JHTML::_('select.genericlist',   $gtree, 'access_create[]', 'size="10" multiple="multiple"', 'value', 'text', $selected );
		  //   = JHTML::_('list.groups', 'access_create', $tCategories->access_create);
		$this->assignRef('data',  $tCategories);
		$this->assignRef('lists', $lists);
		parent::display($tpl);
	}
}
?>