<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class CommunityViewConfig extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		
		JToolBarHelper::title(   JText::_( 'Mighty Touch Configurations' ), 'config.png');
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		
		$uri = & JFactory::getURI();

		JHTML::_('behavior.tooltip');
		JHTML::_('behavior.switcher');

		$lists = array();
		$lists['jsmember'] = false;

		$lists['jsmember'] = JFolder::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jcs');

		$uri	  =& JFactory::getURI();
		$ini = '';
		if (JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini'))
		{
			$ini = JFile::read( JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini' );
		}
		else
		{
			JError::raiseNotice(100,JText::_("Please Save the Configurations"));
		}
		$pluginsModel = &JModel::getInstance('Plugins', 'CommunityModel');

		jimport('joomla.html.pane');
		$config_params = new JParameter( $ini, JPATH_COMPONENT_ADMINISTRATOR.DS.'params.xml' );

		$this->assignRef( 'config_params', $config_params);
		$this->assignRef( 'request_url',   $uri->toString());
		$this->assignRef( 'lists',	       $lists);
		$this->assignRef( 'href',	       $uri->toString());

		parent::display($tpl);
	}


	function renderParamsGroup( $group_name )
	{
		?>
<fieldset class="adminform"><legend><?php echo JText::_( $group_name ); ?></legend>
		<?php print $this->config_params->render('params',$group_name);?></fieldset>
		<?php
	}
}
?>