<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
jimport( 'joomla.application.component.view');

class CommunityViewList extends JView
{
	function display($tpl = null)
	{
		global $mainframe;


		JToolBarHelper::title(   JText::_( 'JS PeopleTouch Userlists [edit/add]' ));
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		JPluginHelper::importPlugin("community");
		$filters = array();
		$item	= & $this->get('Data');
		$dispacher = &JDispatcher::getInstance();
		$numberOfUsers = $this->get('Users');
		$filters = $dispacher->trigger('onRenderFilters');
		$resultFilters = array();
		require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community'.DS.'models'.DS.'subtmpls.php');
		$tmpls = new CommunityModelSubtmpls();
		foreach($filters as $key=>$fl)
		{
			if (!is_array($fl))
			{
				if ($fl == '' || empty( $fl) || $fl == NULL)
				{
					unset($filters[$key]);
				}
			}
			else if(is_array($fl))
			{
				foreach($fl as $key=>$f)
				{
					$resultFilters[$key] = $f;
				}

			}
		}
		/*print "<pre>";
		print_r($resultFilters);
		print "</pre>";
		exit;*/

		$lists = array();

		$params = new JParameter($item->get('params'));
		$options = array();
		$options[] = JHTML::_('select.option', "u.username", JText::_("Username"));
		$options[] = JHTML::_('select.option', "u.registerDate", JText::_("Registration Date"));
		$options[] = JHTML::_('select.option', "u.lastvisitDate", JText::_("Last Visit"));
		$lists['order']     = JHTML::_('select.genericlist',   $options, 'order', 'class="inputbox"', 'value', 'text', JRequest::getVar('order', $params->get('order', 'u.registerDate')) );

		$options = array();
		$options[] = JHTML::_('select.option', "ASC", JText::_("Ascending"));
		$options[] = JHTML::_('select.option', "DESC", JText::_("Descending"));
		$lists['order_Dir'] = JHTML::_('select.genericlist',   $options, 'order_Dir', 'class="inputbox"', 'value', 'text', JRequest::getVar('order_Dir', $params->get('order_Dir', 'DESC')) );
		$lists['templates'] = JHTML::_('select.genericlist',   $tmpls->getTmplObjectList('itemlist'), 'custom_template', 'class="inputbox"', 'ident', 'ident', JRequest::getVar('custom_template', $params->get('custom_template', 'default')));
		
		$this->assignRef('filters', 		$resultFilters);
		$this->assignRef('numberOfUsers', 	$numberOfUsers);
		$this->assignRef('user',			JFactory::getUser());
		$this->assignRef('lists',			$lists);
		$this->assignRef('item',			$item);
		$this->assignRef('params',			$params);
		parent::display($tpl);
	}






}
?>