<?php
/**
 * $Id: community.xajax.php 7346 2011-09-21 12:50:35Z kostya $
 * $LastChangedDate: 2011-09-21 18:50:35 +0600 (Wed, 21 Sep 2011) $
 * $LastChangedBy: kostya $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once( JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'xajax'.DS.'xajaxAIO.inc.php'  );

function comTest( $type )
{
	$objResponse = new JS_SAFE_xajaxResponse();

	// run avascript
	$objResponse->script("pBarOut();");

	// how to select elemnt of select list
	$objResponse->assign("foobar","selectedIndex","1");
	$objResponse->assign("foobar","value", "1");

	$objResponse->assign('type_params', "innerHTML", $params->render());

	// send Java alert
	$objResponse->alert('This is an alert');

	return $objResponse;
}

function userEditBlockChangeOrdering($plg_id, $direction)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$user 		 = &JFactory::getUser();
	$block 		 = CommunityHelperUserConfigs::userEditBlockCheckBlockExistence($user->id, $plg_id);
	$number 	 = 0; // Number of users blocks
	$db 		 = &JFactory::getDBO(); //Database instance,

	$sql = "SELECT COUNT(*) FROM #__community_blocks WHERE user_id = {$user->id}";
	$db->setQuery($sql);
	$number = $db->loadResult();




	if ($block === false)
	{
		$objResponse->alert(JText::_("Could not create new instance of plugin"));
		return $objResponse;
	}

	$table = &JTable::getInstance('Blocks', "CommunityTable");
	$table->load($block->id);
	//$next = null;

	if ($direction == -1)
	{
		$sql = "UPDATE #__community_blocks SET ordering = ordering + 1 WHERE ordering = {$table->ordering} - 1 AND user_id = {$user->id}";
		$db->setQuery($sql);
		$db->query();
	}
	else if ($direction == 1)
	{
		$sql = "UPDATE #__community_blocks SET ordering = ordering - 1 WHERE ordering = {$table->ordering} + 1 AND user_id = {$user->id} LIMIT 1 ";
		$db->setQuery($sql);
		$db->query();

	}
	if ($direction == 1)
	{
		if ($number > $table->ordering + 1)
		{
			$table->ordering+=($direction);
			$table->store();
		}
	}
	else
	{
		$table->ordering+=($direction);
		$table->store();
	}
	$objResponse->assign('ajax_indicator', "innerHTML", " ");
	return $objResponse;
}


function userEditBlockPublish($uid, $plg_id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$block = CommunityHelperUserConfigs::userEditBlockCheckBlockExistence($uid, $plg_id);
	if ($block === false)
	{
		$objResponse->alert(JText::_("Could not create new instance of plugin"));
		return $objResponse;
	}

	$table = &JTable::getInstance('Blocks', "CommunityTable");
	$table->load($block->id);
	if ($table->get('published', 0) == 0)
	{
		$table->set('published', 1);
	}
	else
	{
		$table->set('published', 0);
	}
	if (!$table->store())
	{
		$objResponse->alert(JText::_('Could Not publish the block'));
	}
	/*$objResponse->alert($access);
	 $objResponse->alert($uid);*/
	$image = (boolean)$table->published?'tick.png':'publish_x.png';
	$objResponse->assign('publish_'.$plg_id, "src", JURI::root()."components/com_community/images/".$image);
	$objResponse->assign('ajax_indicator', "innerHTML", " ");
	return $objResponse;

}

function userEditBlockChangeAccess($uid, $plg_id , $access = 0)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$block = CommunityHelperUserConfigs::userEditBlockCheckBlockExistence($uid, $plg_id);
	if ($block === false)
	{
		$objResponse->alert(JText::_("Could not create new instance of plugin"));
		return $objResponse;
	}
	$table = &JTable::getInstance('Blocks', "CommunityTable");
	$table->load($block->id);
	$table->set('access', $access);
	if (!$table->store())
	{
		$objResponse->alert(JText::_('Access could not be saved'));
	}
	/*$objResponse->alert($access);
	 $objResponse->alert($uid);*/
	$objResponse->assign('ajax_indicator', "innerHTML", " ");
	return $objResponse;
}

function AddSelectItem($field, $name, $next, $parent_val = false, $parent_extra = false, $plugin)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db = &JFactory::getDBO();
	if($plugin == 'Cv')
	$script = "itemSelectedCoreCv('".$name."','".$field."', '".$next."', '', 'add')";
	else if($plugin == 'Place')
	$script = "itemSelectedCorePlace('".$name."','".$field."', '".$next."', '', 'add')";
	else
	$script = "itemSelectedCore('".$name."','".$field."', '".$next."', '', 'add')";
	switch($field)
	{
		case 'country':
			$sql = "SELECT * FROM #__community_plg_edu_country WHERE `name` LIKE LCASE('$name')";
			$db->setQuery($sql);
			if($db->loadResult())
			{
				$objResponse->alert(JText::_(ucfirst($field)).' "'.ucfirst($name).'" '.JText::_("is already exists"));
				return $objResponse;
			}
			else
			$sql = "INSERT INTO #__community_plg_edu_country (`name`) VALUES (LCASE('$name'))";
			break;
		case 'region':
			$sql = "SELECT * FROM #__community_plg_edu_region WHERE `name` LIKE LCASE('$name') and `country_id` = '$parent_val'";
			$db->setQuery($sql);
			if($db->loadResult())
			{
				$objResponse->alert(JText::_(ucfirst($field)).' "'.ucfirst($name).'" '.JText::_("is already exists"));
				return $objResponse;
			}
			else
			$sql = "INSERT INTO #__community_plg_edu_region (`country_id`, `name`) VALUES('$parent_val', LCASE('$name'))";
			break;
		case 'city':
			$sql = "SELECT country_id FROM #__community_plg_edu_region WHERE id='$parent_val'";
			$db->setQuery($sql);
			$country_id = $db->loadResult();
			$sql = "SELECT * FROM #__community_plg_edu_city WHERE `name` LIKE LCASE('$name') and `country_id` = '$country_id' and `region_id` = '$parent_val'";
			$db->setQuery($sql);
			if($db->loadResult())
			{
				$objResponse->alert(JText::_(ucfirst($field)).' "'.ucfirst($name).'" '.JText::_("is already exists"));
				return $objResponse;
			}
			else
			$sql = "INSERT INTO #__community_plg_edu_city (`country_id`, `region_id`, `name`) VALUES('$country_id', '$parent_val', LCASE('$name'))";
			break;
		case 'name':
			$sql = "SELECT * FROM #__community_plg_edu WHERE `school` LIKE LCASE('$name') and `country_id` = '$parent_val'";
			$db->setQuery($sql);
			if($db->loadResult())
			{
				$objResponse->alert(JText::_(ucfirst($field)).' "'.ucfirst($name).'" '.JText::_("is already exists"));
				return $objResponse;
			}
			$res = $db->loadObject();
			$edu_type = explode("/", strtolower($next));
			$field = 'name';
			foreach($edu_type as $types)
			{
				$type = explode("::",$types);
				if($type[0]==$parent_val)
				$next = $type[1];
			}
			$type = explode(",", $next);
			$next = $type[0];
			$script = "ShowAddTypes('".$name."', '', '', '', 'add');";
			break;
		default:
			$sql = "SELECT ex.id FROM #__community_plg_edu ed
			JOIN #__community_plg_edu_extra ex ON ed.id = ex.edu_id
			WHERE ed.city_id = '$parent_val' AND ex.parent = '$parent_extra' AND ex.type='$field'
			AND ex.value='$name'";
			$db->setQuery($sql);
			if($db->loadResult())
			{
				$objResponse->alert(JText::_(ucfirst($field)).' "'.ucfirst($name).'" '.JText::_("is already exists"));
				return $objResponse;
			}
			else
			{
				$nextA = explode(",", $next);
				$k = array_search($field, $nextA);
				$script = "itemSelectedAdd('".$field."', '".$name."', '".(isset($nextA[$k+1]) ? $nextA[$k+1] : '')."', '".$next."','' )";
				$objResponse->Script("addOption('".$field."', '".$name."', '".$name."');");
				$objResponse->Script("$script");
				return $objResponse;
			}
	}
	$db->setQuery($sql);
	$db->query();
	$id = $db->insertid();
	$id = $id ? $id : $name;
	if($plugin == 'Cv')
	$objResponse->Script("addCVOption('".$field."', '".ucfirst($name)."', '".$id."');");
	else if($plugin == 'Place')
	$objResponse->Script("addPlaceOption('".$field."', '".ucfirst($name)."', '".$id."');");
	else
	$objResponse->Script("addOption('".$field."', '".ucfirst($name)."', '".$id."');");
	$objResponse->Script("$script");
	if($next!=''){
		if($plugin == 'Cv')
		$objResponse->Script("enableCV('".$next."');");
		else if($plugin == 'Place')
		$objResponse->Script("enablePlace('".$next."');");
		else
		$objResponse->Script("enable('".$next."');");
	}
	return $objResponse;
}

function GetSelectListCore($id, $parent_val, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$dispatcher = &JDispatcher::getInstance();
	$edu = $dispatcher->trigger("GetUserEduParamsSrting");
	$db = &JFactory::getDBO();
	$list = plgCommunityUser_Edu::GenListCore($id, $parent_val, $selected, false, $formTo, $edu[0] );

	$objResponse->assign($id."List", "innerHTML", $list);
	return $objResponse;
}

function GetSchoolNames($parent_val, $city, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$dispatcher = &JDispatcher::getInstance();
	$edu = $dispatcher->trigger("GetUserEduParamsSrting");
	$list = plgCommunityUser_Edu::GenListSchool($edu,$parent_val, $city, $selected, $formTo);
	$objResponse->assign("nameList", "innerHTML", $list);
	return $objResponse;
}

function GetAddTypes($parent_val, $school, $city, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db = &JFactory::getDBO();
	$dispatcher = &JDispatcher::getInstance();
	$edu = $dispatcher->trigger("GetUserEduParamsSrting");
	$edu_type = explode("/", $edu[0]);
	$list ='';
	foreach($edu_type as $types)
	{
		$type = explode("::",$types);
		if($type[0]==$school)
		$fields = explode(",", $type[1]);
	}
	if($fields[0]!='')
	{
		$list = plgCommunityUser_Edu::GenAddTypes($fields, $parent_val, $school, $city, $selected = '', $formTo);
		$objResponse->assign("add_types", "innerHTML", $list);
		if($formTo!='search')
		{
			$objResponse->Script('d.getElementById("'.$fields[0].'").options[0].text = "'. JText::_("Loading").'...";');
			$objResponse->Script("xajax_GetSelectListAdd('".$school."','".implode(",",$fields)."', '".$fields[0]."',
			'".$parent_val."', '".$city."', '".$selected."', '".$formTo."' );");
		}
		//$objResponse->Script("enable('".$fields[0]."');");
	}
	return $objResponse;
}

function GetSelectListAdd($type, $next, $id, $parent_val, $city, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$fields = explode(",", $next);
	foreach($fields as $k=>$field)
	{
		if($field==$id)
		{
			$list = plgCommunityUser_Edu::GenListAdd($type, $next, $id, $parent_val, $city, $selected, $formTo);
			$objResponse->assign($field."List", "innerHTML", $list);
		}
	}
	return $objResponse;
}


function GetSelectListCoreCv($id, $parent_val, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db = &JFactory::getDBO();
	$list = plgCommunityUser_Cv::GenListCore($id, $parent_val, $selected, false, $formTo );
	$objResponse->assign($id."ListCV", "innerHTML", $list);
	return $objResponse;
}

function GetSelectListCorePlaces($id, $parent_val, $selected = '', $formTo)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db = &JFactory::getDBO();
	$list = plgCommunityUser_Places::GenListCore($id, $parent_val, $selected, false, $formTo );
	$objResponse->assign($id."ListPlc", "innerHTML", $list);
	return $objResponse;
}


function approveUserJoinGroup($id, $link_id, $group_id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$id = intval($id);
	$group_id = intval($group_id);
	$user = &JFactory::getUser();
	$mModel = &JModel::getInstance('GroupMembers', 'CommunityModel');
	
	if ($mModel->isGroupModerator($group_id, $user->id) || $mModel->isCreator($group_id, $user->id))
	{
		if($mModel->isPending($group_id, $id))
		{
			$db = &JFactory::getDBO();
			$db->setQuery("UPDATE #__community_user_mapping SET `pending` = 0 WHERE `user_id` = {$id} AND `group_id` = {$group_id}");
			$db->query();
			$db->setQuery("UPDATE #__community_communities SET `num_users` = `num_users` + 1 WHERE `id` = {$group_id}");
			$db->query();
		}
		else
		{
			$img = "<img src='".JURI::root()."components/com_community/images/approve.png'>";
			$objResponse->assign($link_id ,"innerHTML", $img);
			$objResponse->alert(JText::_("No such request found in the database"));
			return $objResponse;
		}
	}
	else
	{
		$objResponse->alert(JText::_('You are not authorized for this action'));
	}

	$img = "<img src='".JURI::root()."components/com_community/images/approve.png'>";
	$objResponse->assign($link_id ,"innerHTML", $img);
	return $objResponse;

}

function blockUnblockUser($id, $link_id, $group_id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$id = intval($id);
	$group_id = intval($group_id);
	$user = &JFactory::getUser();
	$model = &JModel::getInstance('Group', 'CommunityModel');
	$mModel = &JModel::getInstance('GroupMembers', 'CommunityModel');
	$to_set = null;
	if ($mModel->isGroupModerator($group_id, $user->id) || $mModel->isCreator($group_id, $user->id))
	{


		if($mModel->isGroupMember($group_id, $id, true, true))
		{
			$db = &JFactory::getDBO();
			$db->setQuery("SELECT `user_block` FROM #__community_user_mapping WHERE `user_id` = {$id} AND `group_id` = {$group_id}");

			$result = $db->loadResult();

			$to_set = intval(!$result);
			$db->setQuery("UPDATE #__community_user_mapping SET `user_block` = {$to_set} WHERE `group_id` = {$group_id} AND `user_id` = {$id}");
			$db->query();
		    if($to_set){
				$db->setQuery("UPDATE #__community_communities SET `num_users` = `num_users` - 1 WHERE `id` = {$group_id}");
			}else{
			    $db->setQuery("UPDATE #__community_communities SET `num_users` = `num_users` + 1 WHERE `id` = {$group_id}");
			}
			$db->query();
		}
		else
		{
			$img = "<img src='".JURI::root()."components/com_community/images/tick.png'>";
			$objResponse->assign($link_id ,"innerHTML", $img);
			$objResponse->alert(JText::_("No such user found in the database"));
			return $objResponse;
		}
	}
	else
	{
		$objResponse->alert(JText::_('You are not authorized for this action'));
	}
	$img = "";
	if ($to_set)
	{
		$img = "<img src='".JURI::root()."components/com_community/images/blocked.png'>";
	}
	else
	{
		$img = "<img src='".JURI::root()."components/com_community/images/tick.png'>";
	}


	$objResponse->assign($link_id ,"innerHTML", $img);
	return $objResponse;
}

function makeModerOrMember($id, $link_id, $group_id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$id = intval($id);
	$group_id = intval($group_id);
	$user = &JFactory::getUser();
	$mModel = &JModel::getInstance('GroupMembers', 'CommunityModel');
	$to_set = 0;
	if ($mModel->isCreator($group_id, $user->id))
	{

		if($mModel->isGroupMember($group_id, $id, true))
		{
			$db = &JFactory::getDBO();
			$sql = "";
			if ($mModel->isGroupModerator($group_id, $id))
			{
				$sql = "UPDATE #__community_user_mapping SET `access_type` = 0 WHERE `group_id` = {$group_id} AND `user_id` = {$id}";
				$to_set = 0;
			}
			else
			{
				$sql = "UPDATE #__community_user_mapping SET `access_type` = 1 WHERE `group_id` = {$group_id} AND `user_id` = {$id}";
				$to_set = 1;
			}
			$db->setQuery($sql);
			$db->query();
		}
		else
		{
			$objResponse->alert(JText::_("No such user found in the database"));
			return $objResponse;
		}
	}
	else
	{
		$objResponse->alert(JText::_('You are not authorized for this action'));
	}
	$text = "";
	if ($to_set)
	{
		$text = JText::_("Moderator");
	}
	else
	{
		$text = JText::_("Member");
	}


	$objResponse->assign($link_id ,"innerHTML", $text);
	return $objResponse;


}

/*function getUserCard($user_id, $div_id)
 {
 $objResponse = new JS_SAFE_xajaxResponse();
 $rand = substr(md5(uniqid(rand(), true)),0,10);
 $parent_id = "user_".$user_id.$rand;
 $usercard='<a href="javascript:void(0);" onclick="community_popUp.toggle(this)" id="'.$parent_id.'">'.'admin'.'</a>';
 $usercard.= JSCommunityApi::getUserSlideMenu($user_id, 'admin');
 $objResponse->assign($div_id, 'innerHTML', $usercard);

 $objResponse->script(" community_popUp.attachChild( '{$parent_id}', '{$user_id}_child' );");
 $objResponse->script("alert('asfdasdf');");
 return $objResponse;


 }*/

/**
 * Add a message from the twitter plugin.
 *
 * @param string $contents
 * @param int $reply_to
 * @param boolean $activity
 * @return $objResponse from xajax library
 */
function twitterAddMessage($contents = '', $reply_to = 0, $activity = false, $sync=false)
{
	$objResponse = new JS_SAFE_xajaxResponse();

	$db = &JFactory::getDBO();
	$contents = urldecode($contents);
	$contents = htmlspecialchars($contents);
	$contents = substr($contents,0, 140);
	//$objResponse->alert($contents);
	$user = &JFactory::getUser();
	$contents_safe = $db->getEscaped($contents);
	$sql = "SELECT * FROM #__plugins WHERE `element` = 'twitter' AND folder = 'community'";
	$db->setQuery($sql);
	$currentPlugin = $db->loadObject();
	$sql = "SELECT params FROM #__community_blocks WHERE plugin_id = {$currentPlugin->id} AND user_id = {$user->id}";
	$db->setQuery($sql);
	$params = new JParameter($db->loadResult());
	$ref_id = 0;
	$to_user = 0;
	$ref_id_to = 0;
	require_once(JPATH_ROOT.DS.'plugins'.DS.'community'.DS.'twitter'.DS.'helper.php');

	if ($reply_to > 0)
	{
		$sql = "SELECT * FROM #__community_twitter WHERE id = ".(int)$reply_to;
		$db->setQuery($sql);
		$parent = $db->loadObject();
		$to_user = $parent->user_id;
		$ref_id_to = $parent->ref_id;
	}
	if ($params->get('twitter_username', '') && $params->get('twitter_password') && $sync)
	{
		$result = JSTwitterHelper::syncronize($params->get('twitter_username'), $params->get('twitter_password'), $contents, $ref_id_to, $to_user);
		$xml = new JSimpleXML();
		$xml->loadString($result);
		$document = &$xml->document->_children;
		//$objResponse->alert($result);
		//$objResponse->alert(print_r($document, true));
		if ($document)
		{
			foreach($document as $element)
			{
				if ($element->_name == 'id')
				{
					$ref_id = $element->_data;
				}

			}
		}
	}

	$sql = "INSERT INTO #__community_twitter (`ref_id`, `user_id`, `message`, `reply_to`, `published`, `ctime`, `params`, `user_to`) ".
			" \n VALUES($ref_id, {$user->id}, '{$contents_safe}', $reply_to, 1, NOW(), '', $to_user );"
	."";
	$db->setQuery($sql);
	$newId = 0;
	if ($db->query())
	{
		$objResponse->script("window.location = window.location;");
		$newId = $db->insertid();
	}
	if ($activity && $newId )
	{

		//$objResponse->alert($newId);

		$sql = "SELECT u.*, ct.id AS msg_id, ct.ref_id, ct.message, ct.reply_to, ct.published, ct.ctime, ct.params, ct.user_to   FROM #__community_twitter AS ct"
		."\n INNER JOIN #__users AS u ON u.id = ct.user_id "
		."\n WHERE ct.id = {$newId}";
		$db->setQuery($sql);
		$newObject = $db->loadObject();
		//$objResponse->alert($db->_sql);
		//return $objResponse;
		$html = JText::sprintf('Posted twitt %s',sprintf('<a href="%s">%s</a>', JRoute::_("index.php?option=com_community&view=customlist&client=twitter&postid={$newObject->msg_id}&Itemid=".JRequest::getInt("Itemid")), $newObject->message));
		JSCommunityApi::registerActivity(0, $html, $user->id, 'components/com_community/images/twitter_icon.png', 'user', null, 'com_community', '', "Twitts" );
	}
	$db->setQuery($sql);

	return $objResponse;

}


function twitterRemoveMessage($msg_id, $client)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$user = &JFactory::getUser();
	if ($user->get('id') < 1)
	{
		$objResponse->alert(JText::_("You have no enough privileges to do this action"));
		return $objResponse;
	}

	$db = &JFactory::getDBO();
	$sql = "SELECT * FROM #__community_twitter WHERE id = ".(int)$msg_id;
	require_once(JPATH_ROOT.DS.'plugins'.DS.'community'.DS.'twitter'.DS.'helper.php');
	$db->setQuery($sql);
	$msg = $db->loadObject();
	if ($msg->user_id != $user->get('id'))
	{
		$objResponse->alert(JText::_("You have no enough privileges to do this action"));
		return $objResponse;
	}

	if ($msg->id && $msg->user_id == $user->get('id'))
	{
		$sql = "UPDATE #__community_twitter SET `reply_to` = 0, `user_to` = 0 WHERE reply_to = {$msg->id}";
		$db->setQuery($sql);
		if($db->query($sql))
		{
			$sql = "DELETE FROM #__community_twitter  WHERE id = {$msg->id}";
			$db->setQuery($sql);
			$db->query();
			if ($msg->ref_id )
			{
				$sql = "SELECT * FROM #__plugins WHERE `element` = 'twitter' AND folder = 'community'";
				$db->setQuery($sql);
				$currentPlugin = $db->loadObject();
				$sql = "SELECT params FROM #__community_blocks WHERE plugin_id = {$currentPlugin->id} AND user_id = {$user->id}";
				$db->setQuery($sql);
				$params = new JParameter($db->loadResult());
				if ($params->get('twitter_sync') && $params->get('twitter_username') && $params->get('twitter_password'))
				{
					JSTwitterHelper::removeTwitterMessage($params->get('twitter_username'), $params->get('twitter_password'), $msg->ref_id);
				}
			}
			if ($client == 'profile')
			{
				$objResponse->script("twitterRemoveMessage({$msg->id});");
			}
			else if ($client == "userlist")
			{
				$objResponse->script("twitterRemoveMessageUserList({$msg->id});");
			}
		}

	}
	return $objResponse;


}

function showEditUserStatus($uid)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$currentUser = &JFactory::getUser();
	if ($uid != $currentUser->get('id'))
	{
		$objResponse->alert(JText::_("You do not have enough privileges for this action!"));
		return $objResponse;
	}
	/*$objResponse->alert("Passed");*/
	$userConfigFile = COMMUNITY_GENERAL_USERCONFIG.DS.$uid.'.ini';
	$userConfigFile = JPath::clean($userConfigFile);
	$ini = "";
	if (JFile::exists($userConfigFile))
	{
		$ini = JFile::read($userConfigFile);
	}
	$params = new JParameter($ini);
	$status = $params->get("status", '');
	if ($status == '')
	{
		$status = JText::_("Say something to express yourself", true);
	}
	$html = "<input type='text' name='new_status' id='new_status' value='$status' size='40' class='inputbox'>";
	$objResponse->assign("status_message_$uid","innerHTML", $html);
	$js = "onclick='xajax_saveUserStatus($uid, document.getElementById(\"new_status\").value);'";
	$button  = "&nbsp;<input type='button' id='status_save_button' value='".JText::_("Save", true)."' class='button' $js />";
	$objResponse->assign("status_image_$uid","innerHTML", $button);


	return $objResponse;

}

function saveUserStatus($uid, $message)
{
	$currentUser = &JFactory::getUser();
	$objResponse = new JS_SAFE_xajaxResponse();

	if($uid != $currentUser->get('id'))
	{
		$objResponse->alert(JText::_("You do not have enough privileges for this action!"));
		return $objResponse;
	}

	if (strlen($message) > 255)
	{
		$objResponse->alert(JText::_("Your Status message is too long!"));
		return $objResponse;
	}

	if (($message == JText::_("Say something to express yourself", true)) || (!trim($message)))
	{
		$objResponse->assign('status_container_'.$uid, 'innerHTML', JText::_("Say something to express yourself"));
		return $objResponse;
	}

	$userConfigFile = COMMUNITY_GENERAL_USERCONFIG.DS.$uid.'.ini';
	$ini = '';
	if(JFile::exists($userConfigFile)) $ini = JFile::read($userConfigFile);
	$params = new JParameter($ini);
	$noHtmlFilter = & JFilterInput::getInstance();
	$message = $noHtmlFilter->clean($message);
	//if (trim($message) == '')
	//{
	//	$message = JText::_("Status not set yet.");
	//}
	$params->set('status', $message);
	$ini = $params->toString();
	JFile::write($userConfigFile, $ini);
	$html = JSCommunityApi::getUserStatusMessage((int)$uid, FALSE);
	$objResponse->assign('status_container_'.$uid, 'innerHTML', $html );

	$balon = '<div class="twitterdd" style="position: absolute;"><div class="jstwitter"><b class="twb"></b><div class="twdiv"><i></i></div><dl><dt></dt>';
	$balon .= "<dd>{$html}</dd>";
	$balon .= '</dl><p class="twp"><i></i></p></div></div><div style="clear:both"></div><br />';

	//$balon = "<div class='status-corner1'><div class='status-corner2'><div class='status-corner3'><div class='status-corner4'>";
	//$balon .= $html;
	//$balon .= "</div></div></div></div>";

	if(COMMUNITY_REGISTER_STATUS_CHANGED)
	{
		JSCommunityApi::registerActivity(0, JText::_("Changed Status").': '.$balon, $currentUser->id, 'components/com_community/images/changestatus.png', 'user', null, null, '', 'Profile Update');
	}
	//$objResponse->alert("He he he");
	//$objResponse->alert($message);

	return $objResponse;
}



function jsCommunityCallPlugin( $plugin_group, $plugin_name, $plugin_function, $params )
{
	if (JString::strpos(JString::strtolower($plugin_function), 'xajax') === false)
	return;

	$dispatcher =& JDispatcher::getInstance();

	JPluginHelper::importPlugin( $plugin_group, $plugin_name );

	$objResponse = new JS_SAFE_xajaxResponse();

	array_unshift( $params, 1 );

	$params[0] = & $objResponse;

	$dispatcher->trigger( $plugin_function, $params );

	return $objResponse;
	
}



$xajax = new JS_SAFE_xajax(JURI::root().'index2.php?option=com_community&controller='.JRequest::getVar('controller').'&Itemid='.JRequest::getInt("Itemid"));

$xajax->setFlag('debug', false);

$xajax->registerFunction("comTest");
//--------------------------------------
$xajax->registerFunction("getUserCard");
//--------------------------------------
//--------------------------------------
$xajax->registerFunction("twitterAddMessage");
$xajax->registerFunction("twitterRemoveMessage");
//--------------------------------------


$xajax->registerFunction("userEditBlockChangeAccess");
$xajax->registerFunction("userEditBlockPublish");
$xajax->registerFunction("userEditBlockChangeOrdering");
$xajax->registerFunction("AddSelectItem");
$xajax->registerFunction("GetSelectListCore");
$xajax->registerFunction("GetSchoolNames");
$xajax->registerFunction("GetAddTypes");
$xajax->registerFunction("GetSelectListAdd");
$xajax->registerFunction("GetSelectListCoreCv");
$xajax->registerFunction("GetSelectListCorePlaces");

$xajax->registerFunction("approveUserJoinGroup");
$xajax->registerFunction("blockUnblockUser");
$xajax->registerFunction("makeModerOrMember");

//---------User Status----------------------
$xajax->registerFunction("showEditUserStatus");
$xajax->registerFunction("saveUserStatus");


$xajax->registerFunction("jsCommunityCallPlugin");

$xajax->processRequest();
$xajax->printJavascript(JURI::root().'media/mightyextensions/xajax/');
?>