<?php
/**
 * $Id: customlist.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.application.component.controller');

class CommunityControllerCustomList extends CommunityController
{
	function __construct()
	{
		parent::__construct();
		$this->registerTask('invite_friends', 'inviteFriendsToGroup');

	}
	function inviteFriendsToGroup()
	{
		global $mainframe;
		$group_id       = JRequest::getInt('group_id');
		$users          = JRequest::getVar("inv_user", array());
		$currentUser    = &JFactory::getUser();


		$sitename       = $mainframe->getCfg( 'sitename' );
		$mailfrom       = $mainframe->getCfg( 'mailfrom' );
		$fromname       = $mainframe->getCfg( 'fromname' );

		$tGroups 		= &JTable::getInstance('Groups', 'CommunityTable');
		$tGroups->load($group_id);

		//http://aza.work/index.php?option=com_community&controller=groups&task=joingroup&id=31&Itemid=88&lang=ru
		$appLink = JURI::root()."index.php?option=com_community&controller=groups&task=joingroup&id={$group_id}&invitedby={$currentUser->id}&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID;
		foreach($users as $uid)
		{
			$uid = (int)$uid;
			$user = JFactory::getUser($uid);
			/**
			 * USED PLACEHOLDERS
			 * [NAME] [USERNAME] [SITENAME] [SITEURL] [GROUPNAME] [SENDER_NAME]
			 * [SENDER_USERNAME] [APPROVE_LINK]
			 */

			$title = JText::_("GROUP_INVITE_TITLE");
			$title = str_replace(array('[NAME]', '[USERNAME]', '[SITENAME]',
									   '[SITEURL]', '[GROUPNAME]', '[SENDER_NAME]',
									   '[SENDER_USERNAME]', '[APPROVE_LINK]'),
								 array($user->get('name'), $user->get('username'), $sitename,
								 	   JURI::root(), $tGroups->get('title'), $currentUser->get('name'),
								 	   $currentUser->get('username'), $appLink ),
								 	   $title );
			$message = JText::_("GROUP_INVITE_MESSAGE");
			$message = str_replace(array('[NAME]', '[USERNAME]', '[SITENAME]',
									   '[SITEURL]', '[GROUPNAME]', '[SENDER_NAME]',
									   '[SENDER_USERNAME]', '[APPROVE_LINK]'),
								 array($user->get('name'), $user->get('username'), $sitename,
								 	   JURI::root(), $tGroups->get('title'), $currentUser->get('name'),
								 	   $currentUser->get('username'), $appLink ),
								 	   $message );
			JUtility::sendMail($mailfrom, $fromname, $user->get('email'), $title, $message, CommunityHelperGeneral::isHtmlMessage($message));
			
			$text = CommunityHelperGeneral::getEventInviteToGroup($user, $currentUser, $tGroups);
			JSCommunityApi::registerEvent(JText::_('Invite to join the group'), $text, $user->get('id'), null, 0, null, 'CommunityController');
		}
		
		if(JRequest::getVar('redirect')) 
		    $redirect = base64_decode(JRequest::getVar('redirect'));
		else
		    $redirect =  JRoute::_('index.php?option=com_community&view=groups&layout=group&id='.$group_id.'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID, FALSE);
		

		$this->setRedirect($redirect, JText::_("Invintations Sent"));

	}

}

?>