<?php
/**
 * $Id: router.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
function CommunityBuildRoute( &$query ) {
	//print "<pre>";
	//print_r($query);
	//print "</pre>";

	$segments = array();
	$routerHelper = new JSCommunityRouterHelper();

	/*
	if($query['task1234'])
	{
		$segments[0] = 'task';
		$segments[1] = $query['task'];

		if($query['user_id'])
		{
			$user =  JFactory::getUser($query['user_id']);
			$segments[2] = $query['user_id'].'-'.urlencode($user->get('username'));
		}

		unset($query['user_id']);
		unset($query['task']);
		unset($query['controller']);

		return $segments;
	}
	*/

	switch(@$query['view']) {

		case 'groups':
			if(@!$query['layout']) $query['layout'] = 'default';
			switch(@$query['layout']) {
				case 'group':
					$segments[0] = 'group';
					$segments[1] = $query['id'].'-'.urlencode($routerHelper->getGroupTitleById((int)$query['id']));
					unset($query['layout']);
					unset($query['view']);
					unset($query['id']);
					break;
				case 'create':
					if(@$query['id'])
					{
						$segments[0] = 'edit-group';
						$segments[1] = $query['id'].'-'.urlencode($routerHelper->getGroupTitleById((int)$query['id']));
					}
					else
					$segments[0] = 'new-group';
					unset($query['layout']);
					unset($query['id']);
					unset($query['view']);
					break;
				case 'my':
					$segments[0] = 'my-groups';
					unset($query['layout']);
					unset($query['view']);
					break;
				case 'invite':
					$user =  JFactory::getUser($query['user_id']);
					$segments[0] = "invite-friends";
					$segments[1] = $query['user_id'].'-'.urlencode((is_array($user)? $user['username']:$user->get('username')));
					unset($query['layout']);
					unset($query['user_id']);
					unset($query['view']);
					break;
				case 'leav':
					break;
				case 'request':
					$segments[0] = "group-join-request";
					$segments[1] = $query['id'].'-'.urlencode($routerHelper->getGroupTitleById((int)$query['id']));
					unset($query['layout']);
					unset($query['id']);
					unset($query['view']);
					break;
				case 'requests':
					$segments[0] = "group-manage-members";
					$segments[1] = $query['id'].'-'.urlencode($routerHelper->getGroupTitleById((int)$query['id']));
					unset($query['layout']);
					unset($query['id']);
					unset($query['view']);
					break;
				case 'default':
					if(@$query['category_id'])
					{
						$segments[0] = "groups-category";
						$segments[1] = $query['category_id'].'-'.urlencode($routerHelper->getGroupCategoryById((int)$query['category_id']));
						unset($query['layout']);
						unset($query['category_id']);
						unset($query['view']);
					}
					else
					{
						$segments[0] = "groups";
						unset($query['layout']);
						unset($query['view']);
					}
					break;
			}
			break;



			case 'profile':
				if(@!$query['user_id']) break;
				switch(@$query['layout']) {
					case 'friend_request':
						$user =  JFactory::getUser(@$query['user_id']);
						$segments[0] = 'frienship-request-to';
						$segments[1] = $query['user_id'].'-'.urlencode((is_array($user)? $user['username']:$user->get('username')));
						unset($query['layout']);
						unset($query['user_id']);
						unset($query['view']);
						break;
					default:
						$user =  JFactory::getUser(@$query['user_id']);
						/*$segments[0] = 'user';
						$segments[0] = $query['user_id'].'-'.urlencode($user->get('username'));*/
						$segments[0] = urlencode((is_array($user)? $user['username']:$user->get('username')));
						unset($query['layout']);
						unset($query['user_id']);
						unset($query['view']);
						break;
				}
			break;




			case 'history':
				switch(@$query['view_what']) {
					case 'my-groups':
						$user =  JFactory::getUser($query['id']);
						$segments[0] = 'personal-group-history';
						$segments[1] = $query['id'].'-'.urlencode((is_array($user)? $user['username']:$user->get('username')));
						unset($query['layout']);
						unset($query['id']);
						unset($query['view']);
						break;
					case 'my':
						$user =  JFactory::getUser($query['id']);
						$segments[0] = 'personal-history';
						$segments[1] = $query['id'].'-'.urlencode((is_array($user)? $user['username']:$user->get('username')));
						unset($query['layout']);
						unset($query['id']);
						unset($query['view']);
						break;
					case 'group':
						$communityName = $routerHelper->getGroupTitleById($query['id']);
						$segments[0] = 'group-history';
						$segments[1] = $query['id'].'-'.urlencode($communityName);
						unset($query['layout']);
						unset($query['id']);
						unset($query['view']);
						break;
					case 'friends':
						$user =  JFactory::getUser($query['id']);
						$segments[0] = 'friends-history';
						$segments[1] = $query['id'].'-'.urlencode((is_array($user)? $user['username']:$user->get('username')));
						unset($query['layout']);
						unset($query['id']);
						unset($query['view']);
						break;
					default:
						$segments[0] = 'all-history';
						unset($query['layout']);
						unset($query['view']);
				}
				unset($query['view_what']);
				unset($query['id']);
			break;

			case 'customlist':
				$segments[0] = 'custom-list';
				$segments[1] = $query['client'];
				unset($query['view']);
				unset($query['client']);
				break;

			case 'list':
				$segments[0] = 'site-members';
				unset($query['view']);
				break;
	}
	return $segments;
}

function CommunityParseRoute( $segments ) {

	$routerHelper = new JSCommunityRouterHelper();
	$vars = array();
	//print_r($segments);

	switch($segments[0])
	{

		case 'all:history':
		case 'all-history':
			$vars['view'] = 'history';
			$vars['layout'] = 'default';
			$vars['view_what'] = 'all';
			break;
		case 'personal:group:history':
		case 'personal-group-history':
		case 'personal:group-history':
			$vars['view'] = 'history';
			$vars['layout'] = 'default';
			$vars['view_what'] = 'my-groups';
			$vars['id'] = (int)$segments[1];
			break;
		case 'personal:history':
		case 'personal-history':
			$vars['view'] = 'history';
			$vars['layout'] = 'default';
			$vars['view_what'] = 'my';
			$vars['id'] = (int)$segments[1];
			break;
		case 'group:history':
		case 'group-history':
			$vars['view'] = 'history';
			$vars['layout'] = 'default';
			$vars['view_what'] = 'group';
			$vars['id'] = (int)$segments[1];
			break;
		case 'friends:history':
		case 'friends-history':
			$vars['view'] = 'history';
			$vars['layout'] = 'default';
			$vars['view_what'] = 'friends';
			$vars['id'] = (int)$segments[1];
			break;

		case 'group':
			$vars['view'] = 'groups';
			$vars['layout'] = 'group';
			$vars['id'] = (int)@$segments[1];
			break;

		case 'edit-group':
		case 'edit:group':
			$vars['view'] = 'groups';
			$vars['layout'] = 'create';
			$vars['id'] = (int)$segments[1];
			break;

		case 'new:group':
		case 'new-group':
			$vars['view'] = 'groups';
			$vars['layout'] = 'create';
			break;

		case 'my-groups':
		case 'my:groups':
			$vars['view'] = 'groups';
			$vars['layout'] = 'my';
			break;

		case 'invite-friends':
		case 'invite:friends':
			$vars['view'] = 'groups';
			$vars['layout'] = 'invite';
			$vars['user_id'] = (int)$segments[1];
			break;

		case 'group-join-request':
		case 'group:join:request':
		case 'group:join-request':
			$vars['view'] = 'groups';
			$vars['layout'] = 'request';
			$vars['id'] = (int)$segments[1];
			break;

		case 'group-manage-members':
		case 'group:manage-members':
		case 'group:manage:members':
			$vars['view'] = 'groups';
			$vars['layout'] = 'requests';
			$vars['id'] = (int)$segments[1];
			break;

		case 'groups-category':
		case 'groups:category':
			$vars['view'] = 'groups';
			$vars['layout'] = 'default';
			$vars['category_id'] = (int)$segments[1];
			break;

		case 'groups':
			$vars['view'] = 'groups';
			$vars['layout'] = 'default';
			break;

		case 'frienship-request-to':
		case 'frienship:request-to':
		case 'frienship:request:to':
			$vars['view'] = 'profile';
			$vars['layout'] = 'friend_request';
			$vars['user_id'] = (int)$segments[1];
			break;
		case 'user':
			$vars['view'] = 'profile';
			$vars['layout'] = 'default';
			$vars['user_id'] = (int)$segments[1];
			break;

		case 'custom-list':
		case 'custom:list':
			$vars['view'] = 'customlist';
			$vars['layout'] = 'default';
			$vars['client'] = $segments[1];
			break;

		case 'site-members':
		case 'site:members':
			$vars['view'] = 'list';
			$vars['layout'] = 'default';
			break;

		case 'task':
			switch($segments[1])
			{
				case '':
					$vars['controller'] = 'profile';
					break;
			}
			$vars['task'] = $segments[1];
		break;
		default:
			$user = $routerHelper->getUserIdByUsername($segments[0]);
			if($user)
			{
				$vars['view'] = 'profile';
				$vars['layout'] = 'default';
				$vars['user_id'] = $user;
			}
	}
	return $vars;
}


class JSCommunityRouterHelper {
	function JSCommunityRouterHelper() {

	}
	/**
	 * this function gets the username according to the user ID
	 * @param int $uid
	 * @return string the username of the given uesr
	 */
	function getUserNameById($key) {
		static $result = array();
		if(array_key_exists($key, $result)) return $result[$key];

		$db = &JFactory::getDBO();
		$sql = "SELECT username FROM #__users WHERE id = {$key}";
		$db->setQuery($sql);

		$result[$key] = $this->clean($db->loadResult());
		return $result[$key];
	}
	/**
	 * this function gets the group title accroding to the group ID
	 * @param int $gid
	 * @return string
	 */
	function getGroupTitleById($key) {
		static $result = array();
		if(array_key_exists($key, $result)) return $result[$key];

		$db = &JFactory::getDBO();
		$sql = "SELECT title FROM #__community_communities WHERE id = {$key}";
		$db->setQuery($sql);
		$result[$key] = $this->clean($db->loadResult());
		return $result[$key];
	}
	function getGroupCategoryById($key) {
		static $result = array();
		if(array_key_exists($key, $result)) return $result[$key];

		$db = &JFactory::getDBO();
		$sql = "SELECT title FROM #__community_group_categories WHERE id = {$key}";
		$db->setQuery($sql);

		$result[$key] = $this->clean($db->loadResult());
		return $result[$key];
	}

	function getUserIdByUsername($key) {
		static $result = array();
		if(array_key_exists($key, $result)) return $result[$key];

		$db = &JFactory::getDBO();
		$username = $db->getEscaped($key);
		$sql = "SELECT id FROM #__users WHERE username = '{$key}'";
		$db->setQuery($sql);

		$result[$key] = $this->clean($db->loadResult());
		return $result[$key];
	}
	function clean($string)
	{
		$replace = array('~','`','!','@','#','$','%','^','&','*','_','+','=',':',';','"',"'",'?','/','\\','{','}','[',']','(',')','|','<','>');
		$string = str_replace($replace, '-', $string);

		while(@strstr('--', $string))
		$string = str_replace('--', '-', $string);

		$string = preg_replace("/\-$/iU", '', $string);
		$string = preg_replace("/^\-/iU", '', $string);

		return $string;
	}
}
?>