<?php
/**
 * $Id: default_groups_default.php 7345 2011-09-21 05:33:58Z kostya $
 * $LastChangedDate: 2011-09-21 11:33:58 +0600 (Wed, 21 Sep 2011) $
 * $LastChangedBy: kostya $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.utilities.date');
 $memberModel = &JModel::getInstance('GroupMembers', 'CommunityModel');
?>
<style>
.group_card
{
 background-color:#f7f6f7;
 float:left;
 padding:3px;
 margin:2px;
 border:1px solid #eceaec;
 width:240px;
 height:<?php echo COMMUNITY_GROUPS_ICONS_HEIGHT + 40; ?>px;
}
</style>
<?php
if ($this->tmpl_params->get('show_page_title'))
{
	?>
<div class="componentheading"><?php echo $this->tmpl_params->get('page_title'); ?></div>
	<?php
}
?>

<?php if($this->user->get('id') >0 && COMMUNITY_GROUPS_ALLOW_CREATE): ?>
	<?php if (CommunityHelperGroups::canCreateGroup($this->user, JRequest::getInt('category_id', 0))): ?>
		<a href="<?php echo JRoute::_('index.php?option=com_community&view=groups&layout=my&Itemid='.COMMUNITY_GENERAL_GROUPS_ITEMID) ?>"><?php echo JText::_('My Groups') ?></a> <span class="small">|</span> 
		<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=create&category_id=".JRequest::getInt('category_id', 0).'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><?php echo JText::_("Create New Group"); ?></a>
	<?php endif; ?>
<?php endif; ?>
<form name="adminForm" action="<?php echo $this->uri->toString(); ?>" method="post">

<p align="right">
	<?php echo $this->lists['search'];?> <input type="submit" value="<?php echo JText::_("Go"); ?>" class="button" />
</p>



<?php if ($this->showCategoryList): ?>
	<br /><div class="contentheading"><?php echo JText::_("Categories") ?></div>
	<?php
	$cols = $this->tmpl_params->get('columns', 3);
	$width = 100/($this->tmpl_params->get('columns', 3));
	$rows = ceil(count($this->categories) / $cols);
	$i=0;
	?>
	<table width="100%" cellpadding="10" cellspacing="0" border="0">
	<?php for($r=0; $r<$rows; $r++): ?>
		<tr>
			<?php for($c=0; $c<$cols; $c++): ?>
				<?php $category =  @$this->categories[$i]; ?>
				<td>
					<?php  if(!empty($category)):?>
						<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=default&category_id={$category->id}&Itemid=".COMMUNITY_GENERAL_GROUPS_ITEMID); ?>">
						<?php if ($category->id): ?>
							<?php if (JRequest::getInt('category_id', 0) == $category->id): ?>
								<b><big><?php echo $category->title;?> (<?php echo $category->numGroups; ?>)</big></b>
							<?php else : ?>
								<big><?php echo $category->title;?> (<?php echo $category->numGroups; ?>)</big>
							<?php endif; ?>
						<?php endif; ?>
						</a>
					<?php endif;?>
				</td>
			<?php $i++; endfor; ?>
		</tr>
	<?php endfor; ?>
	<tr>
	</table>
<?php endif; ?>


<?php if ($this->currentCategory) :?>
<?php $cparams =& JComponentHelper::getParams('com_media');?>

<br /><div class="contentheading"><?php echo JText::_("Groups In")." ".@$this->currentCategory->title; ?></div>
<div>
<?php if($this->currentCategory->image){?>
<img src="<?php echo JURI::root().$cparams->get('image_path').'/'.$this->currentCategory->image;?>" align="<?php echo $this->currentCategory->image_position;?>" hspace="6" alt="" />
<?php }?>
<?php echo @$this->currentCategory->description; ?></div>
<br />
<br />
<?php endif;?>


<?php if (count($this->groups)): ?>
<table>
<tr>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Name', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Creation Date', 'a.ctime', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Number of Members', 'a.num_users', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
</tr>
</table>

<br />
<?php
$counter = 1;
foreach($this->groups as $group)
{
$group->params = new JParameter($group->params);
?>
<div class="group_card">
	<table width="100%">
		<tr>
		<td width="<?php echo COMMUNITY_GROUPS_ICONS_WIDTH ?>" align="center" valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><img src="<?php echo $group->icon; ?>"></a>
			<br /><?php echo $group->edit; ?> <?php echo $group->publish; ?>
		</td>
		<td valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><big><?php echo $group->title;?></big></a>
			<?php if ($group->params->get('show_num_members', 1)): ?>
			<big>(<?php echo $group->num_users; ?>)</big>
			<?php endif; ?>
			<br />
			<?php echo JText::_('Author') ?>:<span class="small"><?php echo JSCommunityApi::getUserSlideMenu($group->user_id, $group->username); ?></span>
			<br />
			<?php echo JText::_('Created') ?>:
			<?php
				$date = new JDate($group->ctime);
				echo "<span class='small'>".$date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT)."</span>";
			 ?>
			 <br/>
			 <?php

			 if ($group->user_id != $this->user->id && $this->user->id && !$memberModel->isGroupMember($group->id, $this->user->id, true))
			 {
			 ?>
			 <a href="<?php echo JRoute::_('index.php?option=com_community&controller=groups&task=joingroup&id='.$group->id."&Itemid={$this->Itemid}"); ?>"><?php echo JText::_("Join the group"); ?></a>
			 <?php
			 }
			 ?>
		</td>
		</tr>
	</table>
</div>
<?php
$counter++;
}
?>
<?php else: ?>
	<?php if(@$this->currentCategory->id || JString::strlen($this->search) > 3): ?>
		<p><?php echo JText::_('No groups found') ?></p>
	<?php endif; ?>
<?php endif; ?>


<div style="clear: both;"></div>
<br>
<center>
<?php if (count($this->groups) && $this->pagination->getPagesCounter())	:?>
	<p class="pagenavepanel"><?php echo $this->pagination->getPagesLinks(); ?></p>
<?php endif; ?>
	<p>
	<?php $pages = $this->pagination->getPagesCounter(); echo $pages;?>
	<?php echo $this->pagination->getLimitBox(); ?>
	</p>
</center>

<?php if (count($this->coreGroups)): ?>
	<br /><div class="contentheading"><?php echo JText::_("Core Groups"); ?></div>
	<?php $counter = 1; foreach($this->coreGroups as $group) { 
	$group->params = new JParameter($group->params);
	?>
	<div class="group_card">
		<table width="100%">
			<tr>
			<td width="<?php echo COMMUNITY_GROUPS_ICONS_WIDTH ?>" align="center" valign="top">
				<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><img src="<?php echo $group->icon; ?>"></a>
				<br /><?php echo $group->edit; ?> <?php echo $group->publish; ?>
			</td>
			<td valign="top">
				<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><big><?php echo $group->title;?></big></a>
				<?php if ($group->params->get('show_num_members', 1)): ?>
				<big>(<?php echo $group->num_users; ?>)</big>
				<?php endif; ?>
				<br />
				<?php echo JText::_('Author') ?>:<span class="small"><?php echo JSCommunityApi::getUserSlideMenu($group->user_id, $group->username); ?></span>
				<br />
				<?php echo JText::_('Created') ?>:
				<?php
					$date = new JDate($group->ctime);
					echo "<span class='small'>".$date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT)."</span>";
				 ?>
				 <br/>
				 <?php
	
				 if ($group->user_id != $this->user->id && $this->user->id && !$memberModel->isGroupMember($group->id, $this->user->id, true))
				 {
				 ?>
				 <a href="<?php echo JRoute::_('index.php?option=com_community&controller=groups&task=joingroup&id='.$group->id."&Itemid={$this->Itemid}"); ?>"><?php echo JText::_("Join the group"); ?></a>
				 <?php
				 }
				 ?>
			</td>
			</tr>
		</table>
	</div>
	<?php $counter++; }	?>
	<div style="clear: both;"></div>
<?php endif; ?>

<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>