<?php
/**
 * $Id: my.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.utilities.date');
$memberModel = &JModel::getInstance('GroupMembers', 'CommunityModel');
?>
<style>
.group_card
{
 background-color:#f7f6f7;
 float:left;
 padding:3px;
 margin:2px;
 border:1px solid #eceaec;
 width:240px;
 height:<?php echo COMMUNITY_GROUPS_ICONS_HEIGHT + 40; ?>px;
}
</style>
<?php
if ($this->params->get('show_page_title'))
{
	?>
<div class="componentheading"><?php echo $this->params->get('page_title'); ?></div>
	<?php
}
?>

<?php if($this->user->get('id') >0 && COMMUNITY_GROUPS_ALLOW_CREATE): ?>
	<?php if (CommunityHelperGroups::canCreateGroup($this->user, JRequest::getInt('category_id', 0))): ?>
		<a href="<?php echo JRoute::_('index.php?option=com_community&view=groups&Itemid='.COMMUNITY_GENERAL_GROUPS_ITEMID) ?>"><?php echo JText::_('All Groups') ?></a> <span class="small">|</span> 
		<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=create&category_id=".JRequest::getInt('category_id', 0).'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><?php echo JText::_("Create New Group"); ?></a>
	<?php endif; ?>
<?php endif; ?>
<form name="adminForm" action="<?php echo $this->uri->toString(); ?>" method="post">


<br /><div class="contentheading"><?php echo JText::_("My Created Groups"); ?></div>
<?php if (count($this->own_groups)):?>
<?php $counter = 1; foreach($this->own_groups as $group): ?>
<div class="group_card">
	<table width="100%">
		<tr>
		<td width="<?php echo COMMUNITY_GROUPS_ICONS_WIDTH ?>" align="center" valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><img src="<?php echo $group->icon; ?>"></a>
			<br /><?php echo $group->edit; ?> <?php echo $group->publish; ?>
		</td>
		<td valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><big><?php echo $group->title;?></big></a>
			<?php if ($group->params->get('show_num_members', 1)): ?>
			<big>(<?php echo $group->num_users; ?>)</big>
			<?php endif; ?>
			<br />
			<?php echo JText::_('Author') ?>:<span class="small"><?php echo JSCommunityApi::getUserSlideMenu($group->user_id, $group->username); ?></span>
			<br />
			<?php echo JText::_('Created') ?>:
			<?php
				$date = new JDate($group->ctime);
				echo "<span class='small'>".$date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT)."</span>";
			 ?>
			 <br/>
			 <?php

			 if ($group->user_id != $this->user->id && $this->user->id && !$memberModel->isGroupMember($group->id, $this->user->id, true))
			 {
			 ?>
			 <a href="<?php echo JRoute::_('index.php?option=com_community&controller=groups&task=joingroup&id='.$group->id."&Itemid={$this->Itemid}"); ?>"><?php echo JText::_("Join the group"); ?></a>
			 <?php
			 }
			 ?>
		</td>
		</tr>
	</table>
</div>
<?php $counter++; endforeach; ?>
<div style="clear: both;"></div>
<?php else : ?>
<p><span class="small"><?php echo JText::_('You do not have groups which you created. Do you want to create one?') ?> 
<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=create&category_id=".JRequest::getInt('category_id', 0).'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><?php echo JText::_("Create New Group"); ?></a>
</span></p>
<?php endif; ?>

<br /><div class="contentheading"><?php echo JText::_("Groups I Moderate"); ?></div>
<?php if (count($this->mod_groups)):?>
<?php $counter = 1; foreach($this->mod_groups as $group): ?>
<div class="group_card">
	<table width="100%">
		<tr>
		<td width="<?php echo COMMUNITY_GROUPS_ICONS_WIDTH ?>" align="center" valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><img src="<?php echo $group->icon; ?>"></a>
			<br /><?php echo $group->edit; ?> <?php echo $group->publish; ?>
		</td>
		<td valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><big><?php echo $group->title;?></big></a>
			<?php if ($group->params->get('show_num_members', 1)): ?>
			<big>(<?php echo $group->num_users; ?>)</big>
			<?php endif; ?>
			<br />
			<?php echo JText::_('Author') ?>:<span class="small"><?php echo JSCommunityApi::getUserSlideMenu($group->user_id, $group->username); ?></span>
			<br />
			<?php echo JText::_('Created') ?>:
			<?php
				$date = new JDate($group->ctime);
				echo "<span class='small'>".$date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT)."</span>";
			 ?>
			 <br/>
			 <?php

			 if ($group->user_id != $this->user->id && $this->user->id && !$memberModel->isGroupMember($group->id, $this->user->id, true))
			 {
			 ?>
			 <a href="<?php echo JRoute::_('index.php?option=com_community&controller=groups&task=joingroup&id='.$group->id."&Itemid={$this->Itemid}"); ?>"><?php echo JText::_("Join the group"); ?></a>
			 <?php
			 }
			 ?>
		</td>
		</tr>
	</table>
</div>
<?php $counter++; endforeach; ?>
<div style="clear: both;"></div>
<?php else : ?>
<p><span class="small"><?php echo JText::_('You are not a moderator of any group') ?> 
</span></p>
<?php endif; ?>

<br /><div class="contentheading"><?php echo JText::_("Groups I'am A Member Of"); ?></div>
<?php if (count($this->mem_groups)):?>
<?php $counter = 1; foreach($this->mem_groups as $group): ?>
<div class="group_card">
	<table width="100%">
		<tr>
		<td width="<?php echo COMMUNITY_GROUPS_ICONS_WIDTH ?>" align="center" valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><img src="<?php echo $group->icon; ?>"></a>
			<br /><?php echo $group->edit; ?> <?php echo $group->publish; ?>
		</td>
		<td valign="top">
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id."&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><big><?php echo $group->title;?></big></a>
			<?php if ($group->params->get('show_num_members', 1)): ?>
			<big>(<?php echo $group->num_users; ?>)</big>
			<?php endif; ?>
			<br />
			<?php echo JText::_('Author') ?>:<span class="small"><?php echo JSCommunityApi::getUserSlideMenu($group->user_id, $group->username); ?></span>
			<br />
			<?php echo JText::_('Created') ?>:
			<?php
				$date = new JDate($group->ctime);
				echo "<span class='small'>".$date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT)."</span>";
			 ?>
			 <br/>
			 <?php

			 if ($group->user_id != $this->user->id && $this->user->id && !$memberModel->isGroupMember($group->id, $this->user->id, true))
			 {
			 ?>
			 <a href="<?php echo JRoute::_('index.php?option=com_community&controller=groups&task=joingroup&id='.$group->id."&Itemid={$this->Itemid}"); ?>"><?php echo JText::_("Join the group"); ?></a>
			 <?php
			 }
			 ?>
		</td>
		</tr>
	</table>
</div>
<?php $counter++; endforeach; ?>
<div style="clear: both;"></div>
<?php else : ?>
<p><span class="small"><?php echo JText::_('You are not a member of any group. Would you like to join any?') ?> 
<a href="<?php echo JRoute::_('index.php?option=com_community&view=groups&Itemid='.COMMUNITY_GENERAL_GROUPS_ITEMID) ?>"><?php echo JText::_('List All Groups') ?></a>  
</span></p>
<?php endif; ?>

</form>