<?php
/**
 * $Id: view.feed.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport( 'joomla.application.component.view');

class CommunityViewHistory extends JView
{
	/**
	 * Prepare info for User History.
	 *
	 */

	function display($tpl = null)
	{
		global $mainframe, $option;
		
		error_reporting(0);
		
		$document = &JFactory::getDocument();
		$type = JRequest::getWord('activity_type');
		$view_what = JRequest::getWord("view-what");
		$document->setTitle(JText::_("RSS for Activity "));

		$params = &$mainframe->getParams();


		$model = &JModel::getInstance('History', 'CommunityModel');
		$data = $model->getData();

		foreach($data as $row)
		{
			$icon = JHTML::image(JURI::root().$row->icon, '');
			/*echo $icon;
			exit;*/
			$item = new JFeedItem();
			$title2 = $row->username;
			$userlink = JRoute::_('index.php?option=com_community&view=profile&user_id='.$row->user_id);
			$grouplink = "";
			if ($row->client == 'user')
			{

				$title = $this->escape(JText::_("Activity of")." ".$row->username);
				$item->link 		= $userlink;
				$item->description 	= $icon." ".'<a href="'.$userlink.'">'.$title2."</a> ".$row->text;

			}
			else if ($row->client == 'community')
			{


				$grouplink = JRoute::_('index.php?option=com_community&layout=group&view=groups&id='.$row->client_id.'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID);
				$item->link = $grouplink;
				$title = $icon." ".$this->escape(JText::_("Activity of Group")." ".$row->grouptitle);
				$item->description 	=$icon." ".'<a href="'.$userlink.'">'.$title2."</a> ".$row->text." (<a href='{$grouplink}'>".$row->grouptitle."</a>)";
			}
			$title = html_entity_decode( $title );
			$item->title 		= $title;
			$item->date			= $row->ctime;
			//$item->category   	= 'frontpage';
			$item->author		= $row->user_id;
			// loads item info into rss array
			$document->addItem( $item );
		}

	}
}
?>