<?php
/**
 * $Id: default_list_default.php 7951 2012-03-14 07:17:02Z kostya $
 * $LastChangedDate: 2012-03-14 13:17:02 +0600 (Wed, 14 Mar 2012) $
 * $LastChangedBy: kostya $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
	$i = 0;
	$cols = (int)$this->tmpl_params->get('num_rows', 4);
	$rows = ceil(count($this->items) / $cols);
	$width = round(100 / $cols).'%';
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" >
<?php for($r=0; $r < $rows; $r++): ?>
	<tr valign="top">
		<?php for($c=0; $c < $cols; $c++): ?>
			<TD width="<?php echo $width; ?>" align="center">
			<?php 
			$item = @$this->items[$i++];
			if(!$item) {echo '&nbsp;'; continue;}
			$link = JRoute::_('index.php?option=com_community&view=profile&user_id='.$item->id."&Itemid=".COMMUNITY_GENERAL_PROFILE_ITEMID);
			$avatar = JHTML::link($link, JHTML::image(JURI::root().$item->avatar, JText::_('User Avatar'), array('border' => 0)));
			$user_name = JSCommunityApi::getUserSlideMenu($item->id, $item->username);
			$status = JSCommunityApi::getUserStatusMessage($item->id, false, true);
			?>
			<?php echo $avatar; ?><BR />
			<?php echo $user_name; ?>
			
			<TABLE>
				<?php if ($status && $this->tmpl_params->get('show_status', 1)): ?>
				<tr>
					<td class="key"><b><?php echo JText::_("Status")?>:</b></td>
					<td class="value"><?php echo $status; ?></td>
				</tr>
				<?php endif;?>
				<?php if ($this->tmpl_params->get('name', 1)): ?>
				<tr>
					<td class="key"><b><?php echo JText::_("Name")?>:</b></td>
					<td class="value"><?php echo $item->name; ?></td>
				</tr>
				<?php endif;?>
				
				<?php if ($this->tmpl_params->get('usertype' , 1 )):?>
				<tr>
					<td class="key"><b><?php echo JText::_("Usertype")?>:</b></td>
					<td class="value"><?php echo $item->usertype; ?></td>
				</tr>
				<?php endif; ?>
				
				<?php if ($this->tmpl_params->get('regDate', 1)): ?>
				<tr>
					<td class="key"><b><?php echo JText::_("Registration Date")?>:</b></td>
					<td class="value">
						<?php
						if ($item->registerDate == '0000-00-00 00:00:00')
						{
							echo JText::_("Never");
						}
						{
							$registerDate	 = new JDate( $item->registerDate );
							echo $registerDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
						}
						?>
					</td>
				</tr>
				<?php endif;?>
				<?php if ($this->tmpl_params->get('lastVisit', 1)):	?>
				<tr>
					<td class="key"><b><?php echo JText::_("Last Visit")?>:</b></td>
					<td class="value">
						<?php
						if ($item->lastvisitDate == '0000-00-00 00:00:00')
						{
							echo JText::_("Never");
						}
						else
						{
							$lastVisit	 = new JDate( $item->lastvisitDate );
							echo $lastVisit->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
						}
						 ?>
					</td>
				</tr>
				<?php endif;?>
				
				<?php if(count($item->additional_data) && $this->tmpl_params->get('additional_data', 1)): ?>
					<?php foreach ($item->additional_data AS $data): ?>
					<tr>
						<td class="key"><b><?php echo $data->lable; ?>:</b></td>
						<td class="value"><?php echo $data->value; ?></td>
					</tr>
					<?php endforeach; ?>
				<?php endif; ?>
			</TABLE>
			
			</TD>
		<?php endfor; ?>
	</tr>
<?php endfor; ?>
</table>

