<?php
/**
 * $Id: default_profile_classic_wide.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
/**
 * ***************************** DESCRIPTION ***********************************
 *
 * $this->menuItems is array of objects with system menu - for system menu
 *      Each object has properties:
 *      ->alt  - title of the Menu Item example: My Details, Add a Friend
 * 			->icon - path to the the icon file image example: images/icons/someicon.png
 *      ->link - link path example: http://somedomain.com/article.html
 *                                  index.php?option=com_community
 *------------------------------------------------------------------------------
 * $this->menus is array of objects that contain title and array of menus - for
 *              additional groups of menu items
 * 				Each array element's structure is
 * 				->title - title of the menu group
 * 				->items - array of menu items same as objects of elements
 *                  of $this->menuItems.
 *------------------------------------------------------------------------------
 * $this->is_me the boolean variable containin true if this is the profile of
 *              the current user, false if current profile is not belonging to
 *              the current user
 *------------------------------------------------------------------------------
 * $this->relation_path contain path yo this user.
 *
 *------------------------------------------------------------------------------
 * $this->additional_data Contain additional data
 *
 *
 * */
jimport('joomla.html.pane');
jimport('joomla.utilities.date');
if($this->tmpl_params->get('type', 'title') != 'title') $tabs = &JPane::getInstance($this->tmpl_params->get('type', 'Sliders'));
?>
<style type="text/css">
a.cm_menu
{
 line-height: 22px;
 height: 22px;
 float:left;
 overflow:hidden;
 width:175px;
 border:1px solid $f0f0f0;
 padding:2px;
 margin:3px;
 background-color: #f4f4f4;
}
</style>
<table width="100%"  cellpadding="2" cellspacing="2">
	<tr valign="top">
		<td>
			<table>
			<tr>
				<?php if($this->tmpl_params->get('name')):?>
				<tr>
					<td width="150">
						<b><?php echo JText::_("Name")?>:</b>
					</td>
					<td>
						<?php echo $this->user->name; ?>
					</td>
				</tr>
				<?php endif;?>
				<?php if($this->tmpl_params->get('username')):?>
				<tr>
					<td width="150">
						<b><?php echo JText::_("Username")?>:</b>
					</td>
					<td>
						<?php echo $this->user->username; ?>
					</td>
				</tr>
				<?php endif;?>
				<?php if($this->tmpl_params->get('usertype')):?>
				<tr>
					<td>
						<b><?php echo JText::_("Usertype")?>:</b>
					</td>
					<td>
						<?php echo $this->user->usertype; ?>
					</td>
				</tr>
				<?php endif;?>
				<?php if($this->tmpl_params->get('regDate')):?>
				<tr>
					<td>
						<b><?php echo JText::_("Registration Date")?>:</b>
					</td>
					<td>
						<?php
						if ($this->user->registerDate == '0000-00-00 00:00:00')
						{
							echo JText::_("Never");
						}
						else
						{
							$registerDate	 = new JDate( $this->user->registerDate );
							echo $registerDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
						}
						?>
					</td>
				</tr>
				<?php endif;?>
				<?php if($this->tmpl_params->get('lastVisit')):?>
				<tr>
					<td>
						<b><?php echo JText::_("Last Visit")?>:</b>
					</td>
					<td>
					<?php
					if ($this->user->lastvisitDate == '0000-00-00 00:00:00')
					{
						echo JText::_("Never");
					}
					else
					{
						$lastvisitDate	 = new JDate( $this->user->lastvisitDate );
						echo $lastvisitDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
					}
					?>
					</td>
				</tr>
				<?php endif;?>
			</table>
			<?php if($this->profileParams->get('welcome_msg')):?>
				<div><?php echo $this->profileParams->get('welcome_msg');	?></div>
			<?php endif; ?>
		</td>
		<td align="center" width="30%">
		<div align="center" style="text-align: center; border: 1px solid gray; padding: 10px;">
		<img src="<?php echo JURI::root().$this->user->avatar;?>"><br />
		<?php if(trim(strip_tags($this->status))) echo $this->status; ?>
		<?php
			if (COMMUNITY_CARMA_ENABLE){
				$carma = JSCommunityApi::getUserCarma($this->user->id);
				echo "<br>";
				echo $carma->title;
				echo " (<b>{$carma->points}</b>)";
				echo "<br>";
				echo "<b>{$carma->image}</b>";
			}

		?>
		</div>
		</td>
	</tr>
</table>


<?php if (COMMUNITY_FRIENDS_ENABLE && count($this->relation_path)):?>
	<table width="100%" align="center" cellpadding="4">
	<tr>
		<th >
			<?php echo JText::_("You know this person through:");?>
		</th>
	</tr>
	<tr>

	<?php
	//$rel - user
	$out = array();
	foreach ($this->relation_path as $rel)
	{
		$link = '<a href="'.JRoute::_('index.php?option=com_community&view=profile&Itemid='.COMMUNITY_GENERAL_PROFILE_ITEMID.'&user_id='.$rel->id).'" alt="'.$rel->username.'" title="'.$rel->username.'">';
		$linkend = "</a>";
		$out[]= "<td align='center'>".$link."<img src='".JURI::root().$rel->avatar."'>"."<br>{$rel->username}{$linkend}</td>";

	}
	echo implode( "<td valign='middle'><img src='components/com_community/images/str_right.gif'></td>" , $out)

	?>

	</tr>
	</table>
<?php endif; ?>

<?php if(count($this->menuItems) && $this->tmpl_params->get('cm_menu', 1)):?>
	<?php
	foreach ($this->menuItems as $menuItem) {
		?>
			<a class="cm_menu" href="<?php echo $menuItem->link;?>"  title="<?php echo $menuItem->alt;?>">
			<img src="<?php echo $menuItem->icon;?>" align="absmiddle" />
			<?php echo $menuItem->text;?>
			</a>
		<?php
	}
	?>
<?php endif;?>
<?php if (count($this->menus) && $this->tmpl_params->get('cm_add_menu', 1)): ?>
<?php
foreach ($this->menus as $menuGroup) {
	$menuTitle = @$menuGroup->title;
	if (isset($menuGroup->menuItems))
	{
		foreach ($menuGroup->menuItems as $m)
		{

			?>
			<a class="cm_menu" href="<?php echo $m->link;?>"  title="<?php echo $m->alt;?>">
				<img src="<?php echo $m->icon ? $m->icon : 'images/blank.png';?>" align="absmiddle">
				<?php echo $m->alt;?>
				</a>
			<?php
		}
	}
}
?>
<?php endif; ?>
<br style="clear:both;"><br>
<?php
	/**
	 * ACTIVITY STREAM
	 * The plugins must have following properties
	 * ->date                - the date that something happened
	 * ->user_id             - user who did the action
	 * ->username            - User's Username
	 * ->action              - the string containing what happened
	 * ->url                 - url a link to go and see something
	 * ->urlLable            - url lable
	 * ->icon                - some icon for that action
	 **/
if (count($this->history) > 0):
?>
<div class="contentheading">
<?php if ($this->is_me)	{ echo JText::_("Friends' Activity"); }	else { echo JText::_("Activity");} ?>
</div>
<table width="100%" cellpadding="2" cellpadding="0">
<?php
foreach ($this->history as $key=>$item)
{
?>
	<tr>
		<td width="1%">
			<?php if ($item->icon): ?>
			<img src="<?php echo JURI::root() ?><?php echo $item->icon;?>">
			<?php endif; ?>
		</td>
		<td width="10%" nowrap="nowrap">
		<?php
			$action	 = new JDate( $item->ctime);
			echo $action->toFormat(COMMUNITY_ACTIVITY_DATE_FORMAT_PROFILE);
		?>
		</td>
		<td align="left">
			<?php echo JSCommunityApi::getUserSlideMenu($item->user_id, $item->username);?>
			<?php if($item->client == 'community'): ?>
				[<a href="<?php echo JRoute::_('index.php?option=com_community&view=groups&layout=group&group_id='.$item->client_id.'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID);  ?>"><?php echo JText::_('Group') ?>: <?php echo $this->getGroupTitle($item->client_id); ?></a>] 
			<?php endif; ?>
			<?php echo $item->text; ?>
		</td>
	</tr>
<?php
}
?>
<tr>
	<td colspan="3" align="left">
		<?php if($this->is_me): ?>
			<?php if(COMMUNITY_HISTORY_ALL_ENABLE): ?>
				&nbsp;<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=all&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('All Activity');?></a>
			<?php endif; ?>
			&nbsp;<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=friends&id={$this->user->id}&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('Friend\'s Activity');?></a>
			&nbsp;<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=my&id={$this->user->id}&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('My Activity');?></a>
			<?php if(COMMUNITY_HISTORY_GROUP_ENABLE): ?>
				&nbsp;<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=my-groups&id={$this->user->id}&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('My Groups Activity');?></a>
			<?php endif; ?>
		<?php else: ?>
			<?php if(COMMUNITY_HISTORY_ALL_ENABLE): ?>
				<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=all&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('All Activity History');?></a>
			<?php endif; ?>
			<a href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=my&id={$this->user->id}&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>" class="readon"><?php echo JText::_('User Activity History');?></a>
		<?php endif; ?>
	</td>
</tr>
</table>
<?php endif; ?>
<?php /////////////////////////////////////////////////////////////////////// ?>

<?php
if($this->tmpl_params->get('type', 'title') != 'title'):
	echo $tabs->startPane( 'pane' );
	$i = 0;
	foreach ($this->additional_data as $key=>$val)
	{
			if(!@trim(strip_tags($val->text))) continue;
			echo $tabs->startPanel($val->title, 'panel-main'.strtolower($val->title));
			echo "<p>{$val->description}</p>";
			echo $val->text;
			echo $tabs->endPanel();

		$i++;
	}
	echo $tabs->endPane();
else:
	foreach ($this->additional_data as $key => $val)
	{
		if(!@trim(strip_tags($val->text))) continue;
		?>
		<br><div class="contentheading">
			<?php echo $val->title; ?>
			<p><?php echo $val->description; ?></p>
		</div>
		<?php
		echo $val->text;
	}
endif;
?>