<?php
/**
 * $Id: edit.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.html.pane');
$tabs = &JPane::getInstance('tabs');
$accessOptions = array();
$accessOptions[] = JHTML::_('select.option', "0", JText::_("Everyone"));
$accessOptions[] = JHTML::_('select.option', "1", JText::_("Registered"));
$accessOptions[] = JHTML::_('select.option', "2", JText::_("Friends Only"));
$accessOptions[] = JHTML::_('select.option', "3", JText::_("Me only"));
?>
<script type="text/javascript">

Shadowbox.loadSkin( 'classic', '<?php echo JURI::root(); ?>components/com_community/js/shadowbox/skin' ); // use the "classic" skin
Shadowbox.loadLanguage( 'en', '<?php echo JURI::root(); ?>components/com_community/js/shadowbox/lang' ); // use the English language
Shadowbox.loadPlayer( [ 'iframe' ], '<?php echo JURI::root(); ?>components/com_community/js/shadowbox/player' ); // use img and qt players

window.onload = Shadowbox.init;
</script>

<style>
.hidden
{
	display:none;
}
</style>

<div class="componentheading"><?php echo JText::_("Personal Preferences"); ?></div>
<form name="adminForm" action="<?php $this->uri->toString(); ?>" method="post">

<div align="right">
	<input type="submit" class="button"	value="<?php echo JText::_("Save"); ?>" />
	<input type="button" class="button"	value="<?php echo JText::_("Close"); ?>" onclick="jsCommunityRedirect('profile');" />
</div>

<div style="float:right" id="ajax_indicator"></div>

<?php
echo $tabs->startPane( 'pane' );
echo $tabs->startPanel(JText::_("General"), 'panel-main');
?>
<?php $editor = &JFactory::getEditor();?>
	<br />
	<div class="contentheading"><?php echo JText::_('Welcome'); ?></div>
	<div class="contentpaneopen">
			<table width="100%" cellpadding="5" border="0">
			<tr>
			<td class="key"><?php echo JText::_("Welcome message");?><br />
				<?php echo $editor->display('params[welcome_msg]', $this->params->get('welcome_msg'), 600,500, 40, 10, false);?>
			</td>
			</tr>
			</table>
			</div>
	
	<?php $this->renderParamsGroup("Welcome"); ?>
	
	
	<?php if (COMMUNITY_ACCESS_ALLOW_CHANGE_ACCESS): ?>
	<table>
		<tr>
			<td class="key"><?php echo JText::_("Access to My profile"); ?>:</td>
		</tr>
		<tr>
			<td class="value"><?php echo JHTML::_('select.genericlist',  $accessOptions, 'params[access]', 'class="inputbox"', 'value', 'text', $this->params->get('access', COMMUNITY_ACCESS_DEFAULT)); ?></td>
		</tr>
	</table>
	<?php endif; ?>
	
	<?php if (count(@$this->lists['templates']) || count(@$this->lists['sitetemplates'])): ?>
	<div style="clear:both;"></div>
	<div class="contentheading"><?php echo JText::_('Profile Template'); ?></div>
	<div class="contentpaneopen">
		<table width="100%">
			<?php if (count(@$this->lists['templates'])): ?>
			<tr>
				<td class="key"><?php echo JText::_('Choose Profile template'); ?></td>
				<td class="value"><?php echo $this->lists['templates']; ?></td>
			</tr>
			<?php endif; ?>
	 		
			<?php if (count(@$this->lists['sitetemplates'])):?>
			<tr>
				<td class="key"><?php echo JText::_('Choose Site template'); ?></td>
				<td class="value"><?php echo $this->lists['sitetemplates']; ?></td>
			</tr>
			<?php endif; ?>
		</table>
	</div>
	<div style="clear:both;"></div>
	<?php endif; ?>
<?php
echo $tabs->endPanel();
echo $tabs->startPanel(JText::_("Profile Blocks"), 'panel-blocks');
?>
<table cellpadding="0" cellspacing="0" border="0" >
<thead>
	<tr>
		<th class="sectiontableheader" width="1%">
		</th>
		<th class="sectiontableheader">
			<?php echo JText::_('Title'); ?>
		</th>
		<th class="sectiontableheader" width="1%">
			<?php echo JText::_('Ordering'); ?>
		</th>
		<th class="sectiontableheader" width="1%">
			<?php echo JText::_('Access'); ?>
		</th>
		<th class="sectiontableheader" width="1%">
			<?php echo JText::_('Published'); ?>
		</th>
	</tr>

</thead>
<tbody id="blocksTable">
<?php
$k = 0;
$i = 1;

foreach ($this->userBlocks as $key=>$block)
{

	$published_image = $block->published ? 'tick.png' : 'publish_x.png';
	$published_image = JURI::root().'components/com_community/images/'.$published_image;
	$accessDisabled = $block->plg_params->get('allow_accesschange', 1) ? "": 'disabled="disabled"';
	$allowPublish 	= $block->plg_params->get('allow_publish', 1);
	$access = JHTML::_('select.genericlist',  $accessOptions, 'block[access]['.$block->plugin_id.']', $accessDisabled.' class="inputbox" onchange="jsCommunitySetAjaxIndicatorImage(); xajax_userEditBlockChangeAccess('.$this->user->id.', '.$block->plugin_id.', this.value)"', 'value', 'text', $block->access);
	$title = '';
	if ($block->plg_params->get('allow_titlechange', 1))
			{$title = $block->title;}
			else
			{$title = $block->plugintitle;}
	?>

	<tr id="row_<?php echo $block->plugin_id; ?>" class="sectiontableentry<?php echo $k + 1; ?>">
		<td align="center"><img src="<?php echo JURI::root().'plugins/community/'.$block->element.'_icon.png'; ?>"></td>
		<td>
		<a rel="shadowbox;width=<?php echo $block->plg_params->get('popup_width', 500); ?>;height=<?php echo $block->plg_params->get('popup_height', 500); ?>;"  title="<?php echo $title." ".JText::_("Configurations"); ?>"
		href="<?php echo JURI::root(); ?>index.php?option=com_community&view=profile&view=profile&layout=config&plgid=<?php echo $block->plugin_id;?>&tmpl=component" id = "block_title_<?php echo $this->user->id."_".$block->plugin_id; ?>">
			<?php
			if ($block->plg_params->get('allow_titlechange', 1))
			{echo $block->title;}
			else
			{echo $block->plugintitle;}
			?></a>
		</td>
		<td>
			<a href="javascript:void(0);" onclick="moveDown('<?php echo "row_".$block->plugin_id; ?>');jsCommunitySetAjaxIndicatorImage();xajax_userEditBlockChangeOrdering('<?php echo $block->plugin_id ?>', 1);" ><img src="<?php echo JURI::root()."components/com_community/images/downarrow.png" ?>"></a>
			<a href="javascript:void(0);" onclick="moveUp('<?php echo "row_".$block->plugin_id; ?>');jsCommunitySetAjaxIndicatorImage();xajax_userEditBlockChangeOrdering('<?php echo $block->plugin_id ?>', -1);" ><img src="<?php echo JURI::root()."components/com_community/images/uparrow.png" ?>"></a>
		</td>
		<td><?php echo $access; ?></td>
		<td align="center">
		<?php if ($allowPublish): ?>
		<a href="javascript:void(0);" onclick="jsCommunitySetAjaxIndicatorImage(); xajax_userEditBlockPublish(<?php echo $this->user->id;?>, <?php echo $block->plugin_id;?>);">
		<img id="publish_<?php echo $block->plugin_id;?>" src="<?php echo $published_image; ?>" /></a>
		<?php
		else:
		?>
		<img id="publish_<?php echo $block->plugin_id;?>" src="<?php echo $published_image; ?>" />
		<?php endif; ?>

		</td>
	</tr>

	<?php
	$k = 1 - $k;
	$i++;
}


?>
<tbody>
</table>
<?php
echo $tabs->endPanel();
echo $tabs->endPane();
?>
	   <div id="inline-sample" class="hidden">
            <div id="inline-sample-content">&nbsp;</div>
        </div>


	 <input type="hidden" name="option" value="com_community" /> 
	 <input type="hidden" name="controller" value="profile" />
	 <input type="hidden" name="task" value="save" /> 
	 <input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	 </form>
<script language="javascript">
	function jsCommunityRedirect(where)
	{
		switch(where)
		{
			case 'profile':
				document.location = "<?php echo JRoute::_(JURI::root()."index.php?option=com_community&view=profile&Itemid=".COMMUNITY_GENERAL_PROFILE_ITEMID); ?>";
			break;
			default:
			break;
		}
	}

	function jsCommunitySetAjaxIndicatorImage()
	{
		 var indicator = document.getElementById('ajax_indicator');
		 indicator.innerHTML = '<img src="<?php echo JURI::root()."components/com_community/images/loading.gif"; ?>">';
	}


	function moveDown(wha) {
		var par = document.getElementById('blocksTable');
		var move = document.getElementById(wha);
		var next = null;

		var children = par.getElementsByTagName('tr');
		for (var i = 0; i < children.length; i++) {
			if (children[ i ] == move && i < children.length - 2) {
				next = children[i + 2];
			    break;
			}
		}

		 par.removeChild(move);
		 if (next) {
		 	par.insertBefore(move, next);
		 }
		 else {
		 	par.appendChild(move);
		 }
	 }

	function moveUp(wha) {
		var par = document.getElementById('blocksTable');
		var move = document.getElementById(wha);
		var next = null;
		var children = par.getElementsByTagName('tr');
		for (var i = 0; i < children.length; i++) {
			if (children[ i ] == move && i != 0) {
			next = children[i - 1];
			break;
		}
		}
		if (next) {
			par.removeChild(move);
			par.insertBefore(move, next);
		}
	}
</script>
