<?php
/**
 * $Id: categories.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
class CommunityControllerCategories extends CommunityController
{
	function __construct()
	{
		parent::__construct();

	}

	function display()
	{
		$task = JRequest::getCmd( 'task' );


		switch($task){
			case 'edit':
			case 'add':
				JRequest::setVar('view', 'categories');
				JRequest::setVar('layout', 'edit');
				JRequest::setVar('hidemainmenu', 1);
				break;
			default:
				JRequest::setVar('view', 'categories');
				break;
		}
		parent::display();
	}
	function remove()
	{
		global $mainframe;
		$array = JRequest::getVar('cid', array(0), '', 'array');
		
		if($array)
		{
			$ids = implode($array);
			$db = JFactory::getDBO();
			$sql = "DELETE FROM #__community_group_categories WHERE id IN({$ids})";
			$db->setQuery($sql);
			$db->query();
		}
		
		$mainframe->redirect('index.php?option=com_community&controller=categories', JText::_('Delete Succesful'));
	}

	function publish(){ $this->changePublish(1);	}

	function unpublish(){ $this->changePublish(0);}

	function changePublish($value)
	{
		$mCategories = &JModel::getInstance('Categories', "CommunityModel");
		$array = JRequest::getVar('cid', array(0), '', 'array');
		$result = true;
		foreach($array as $item)
		{
			if (!$mCategories->changePublish($value, $item))
			{
				$result = false;
			}


		}

		if (!$result)
		{
			JError::raiseNotice(500, JText::_("One or more categories coud not change the publish state"));
		}
		$this->setRedirect("index.php?option=com_community&view=categories");
	}


	function orderup()
	{
		$model = $this->getModel('Categories', 'CommunityModel');
		$model->_setId();
		$model->move(-1);

		$this->setRedirect( 'index.php?option=com_community&controller=categories');
	}

	function orderdown()
	{
		$model = &$this->getModel('Categories', 'CommunityModel');
		$model->_setId();
		$model->move(1);

		$this->setRedirect( 'index.php?option=com_community&controller=categories');
	}

	function saveorder()
	{
		$cid 	  = JRequest::getVar( 'cid',   array(), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(), 'post', 'array' );
		JArrayHelper::toInteger($cid);
		JArrayHelper::toInteger($order);

		$model = $this->getModel('Categories', 'CommunityModel');
		$model->saveorder($cid, $order);

		$msg = 'New ordering saved';
		$this->setRedirect( 'index.php?option=com_community&controller=categories', $msg );
	}

	/**************************************************************************/
	/**************************************************************************/
	/**************************************************************************/
	/**************************************************************************/
	/**************************************************************************/

	function apply() {$this->save();}

	function save()
	{
		$task = JRequest::getCMD('task');
		$post = JRequest::get('POST', 2);
		$user = &JFactory::getUser();
		$mCategories = &JModel::getInstance('Categories', "CommunityModel");

		$result = $mCategories->store($post);
		$msg = "";
		if ($result)
		{
			$msg = JText::_("Category saved");
		}
		if ($task == 'apply')
		{
			$this->setRedirect('index.php?option=com_community&controller=categories&task=edit&cid[]='.$result, $msg);
		}
		else
		{
			$this->setRedirect('index.php?option=com_community&controller=categories', $msg);
		}
	}

}
?>