<?php
/**
 * $Id: plugins.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
class CommunityControllerPlugins extends CommunityController
{
	function __construct()
	{
		parent::__construct();
		JRequest::setVar( 'view', 'plugins' );
	}


	function apply(){$this->save();}

	function save()
	{
		$plugins = JRequest::getVar('params');
		$ini = '';
		if (JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'plugin_config.ini'))
		{
			$ini = JFile::read(JPATH_COMPONENT_ADMINISTRATOR.DS.'plugin_config.ini');
		}
		$params = new JParameter($ini);
		$newIni = '';
		if (count($plugins))
		{
			$params->set('fixedtabs', implode('|', $plugins));
		}
		else
		{
			$params->set('fixedtabs', '');
		}



		if (!JFile::write(JPATH_COMPONENT_ADMINISTRATOR.DS.'plugin_config.ini', $params->toString()))
		{
			$msg = JText::_('Error Savin Fixed Tabs');
		}
		else
		{
			$msg = JText::_('Saved Successfuly');
		}

		$task = JRequest::getCmd('task');
		if ($task=='apply')
		{
			$this->setRedirect('index.php?option=com_community&controller=plugins',$msg);
		}
		else
		{
			$this->setRedirect('index.php?option=com_community',$msg);
		}



	}


}
?>