<?php
/**
 * $Id: groupsections.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');

class JElementGroupSections extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
		global $mainframe;
		jimport('joomla.filesystem.folder');
		$db	 =& JFactory::getDBO();
		
		if($value)  $value = unserialize($value);
		if(!$value) $value = array();
		
		$sql = "SELECT name AS text, id  FROM #__js_res_category WHERE parent = 0 AND published = 1";
		$db->setQuery($sql);
		$sections = $db->loadObjectList();
		if(!$sections) $sections = array();
		
		
		$html = "<table class=\"adminlist\">";
		$html .= sprintf("<thead><tr><th>%s</th><th width=\"1%%\">%s</th><th width=\"1%%\">%s</th><th width=\"1%%\">%s</th><th width=\"1%%\">%s</th></tr></thead>", 
			JText::_('Section'), JText::_('Enable'), JText::_('Title'), JText::_('Limit'), JText::_('Order'));
		
		foreach ($sections as $sec)
		{
			IF(!@$value[$sec->id]['limit']) $value[$sec->id]['limit'] = 5;
		
			!empty($value[$sec->id]['title']) ? NULL : $value[$sec->id]['title'] = JText::_('Records in'). ' ' . $sec->text ;
			$html .="<tr>";
			$html .="<td>{$sec->text}</td>";
			$html .="<td nowrap=\"nowrap\">";
			$html .= JHTML::_('select.booleanlist', "{$control_name}[{$name}][{$sec->id}][enable]",  'class="inputbox"',  @$value[$sec->id]['enable'] );
			$html .="</td>";
			$html .="<td>";
			$html .="<input type='text' size=40 name='{$control_name}[{$name}][{$sec->id}][title]' value='".@$value[$sec->id]['title']."'>";
			$html .="</td>";
			$html .="<td>";
			$html .="<input type='text' size=3 name='{$control_name}[{$name}][{$sec->id}][limit]' value='".@$value[$sec->id]['limit']."'>";
			$html .="</td>";
			$html .="<td>";
			$html .="<input type='text' size=3 name='{$control_name}[{$name}][{$sec->id}][order]' value='".(int)@$value[$sec->id]['order']."'>";
			$html .="</td>";
			$html .="</tr>";

		}
		$html .= "</table>";
		return $html;
	}
}
?>