<?php
/**
 * $Id: jcssubscr.php 7534 2011-11-25 04:40:17Z peter $
 * $LastChangedDate: 2011-11-25 10:40:17 +0600 (Fri, 25 Nov 2011) $
 * $LastChangedBy: peter $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJCSSubscr extends JElement
{



	function fetchElement($name, $value, &$node, $control_name)
	{

		$isMultiple      = (boolean)$node->attributes('multiple');
		$size            = $node->attributes('size');
		/*$filter		           = $node->attributes('filter');
		$exclude	           = $node->attributes('exclude');
		$levels              = $node->attributes('levels');
		$relative_path       = $node->attributes('relative_path');
		$relative_path_value = $node->attributes('relative_path_value');
		$invite_label        = $node->attributes('invite_label');
		$folders             = $this->JS_folders($path, $path, $filter, $levels);*/

		$db = &JFactory::getDBO();

		$multiple = "";
		if ($isMultiple)
		{
			$multiple = ' multiple="multiple" ';
		}

		$options = array ();


		//$options[] = JHTML::_('select.option', 0, JText::_('-- None --'));

		$query = 'SELECT a.*, cc.title AS category '
        	. ' FROM #__jcs_plans AS a '
        	. ' INNER JOIN #__categories AS cc ON cc.id = a.catid '
        	. ' WHERE a.published = 1 AND cc.published = 1 '
        	. ' GROUP BY a.id ';

		$db->setQuery($query);

		$fields = $db->loadObjectList();

		foreach ($fields as $field)
		{
			$options[] = JHTML::_('select.option', $field->id, $field->name."/".$field->category);
		}
		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][]', 'class="inputbox" size="'.$size.'" '.$multiple, 'value', 'text', $value);
	}



}
?>