<?php
/**
 * $Id: jscommunitysections.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
class JElementJSCommunitySections extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
		global $mainframe;
		//$exclude	           = $node->attributes('exclude');
		$default = $node->attributes('default');

		jimport('joomla.filesystem.file');
		$ini = JFile::read(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community'.DS.'config.ini');
		$params = new JParameter($ini);
		$db = &JFactory::getDBO();

		$sections = unserialize($params->get("groups::sections", serialize(array())));
		settype($value, 'array');
		$i = 0; $out = array(); 
		
		foreach ($sections AS $key => $section)
		{
			if($section['enable'] == 0) continue;
			
			$order = $section['order'];
			if(@$out[$order]) $order = count($out);
			
			if(count(@$value) && in_array($key, $value)) $isChecked = ' checked="checked" '; 
			else $isChecked = '';
			
			$out[$order] = sprintf('<div><input type="checkbox" name="%s" %s value="%d"><b>%s</b></div>', 
			$control_name.'['.$name.'][]', @$isChecked, $key, $section['title']);
			$i++;
		}
		ksort($out);
		if($out) return implode("\n", $out);
	}
}
?>