<?php
/**
 * $Id: jufields.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJUFields extends JElement
{

	var	$_name = 'JUFields';

	function fetchElement($name, $value, &$node, $control_name)
	{

		$isMultiple      = (boolean)$node->attributes('multiple');
		$size            = $node->attributes('size');
		/*$filter		           = $node->attributes('filter');
		$exclude	           = $node->attributes('exclude');
		$levels              = $node->attributes('levels');
		$relative_path       = $node->attributes('relative_path');
		$relative_path_value = $node->attributes('relative_path_value');
		$invite_label        = $node->attributes('invite_label');
		$folders             = $this->JS_folders($path, $path, $filter, $levels);*/

		$db = &JFactory::getDBO();

		$multiple = "";
		if ($isMultiple)
		{
			$multiple = ' multiple="multiple" ';
		}

		$options = array ();


		$options[] = JHTML::_('select.option', 0, JText::_('-- None --'));

		$query = 'SELECT a.*, cc.title AS category '
        	. ' FROM #__juser_extended_fields AS a '
        	. ' INNER JOIN #__categories AS cc ON cc.id = a.catid '
        	. ' WHERE a.published = 1 AND cc.published = 1 '
        	. ' GROUP BY a.id ';

		$db->setQuery($query);

		$fields = $db->loadObjectList();



		foreach ($fields as $field)
		{
			$options[] = JHTML::_('select.option', $field->id, $field->title."/".$field->category);
		}
		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][]', 'class="inputbox" size='.$size.' '.$multiple, 'value', 'text', $value);
	}



}
?>