<?php 
/**
 * $Id: list.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); 
jimport('joomla.application.component.model');
class CommunityModelList extends JModel
{
	var $_id = null;
	var $_data = null;

	function __construct()
	{

		parent::__construct();
		$this->_setId();
	}



	function _setId()
	{
		$cid = JRequest::getVar('cid', array(0));
		$this->_id = $cid[0];
	}

	function &getData()
	{
		if (empty($this->_data))
		{
			$table = &$this->getTable("List", 'CommunityTable');
			$table->load($this->_id);
			$this->_data = &$table;
		}
		return $this->_data;
	}


	function getUsers()
	{
		$result = 0;
		$params = new JParameter('');
		if ($this->_id > 0)
		{

			$params->loadINI($this->_data->get('params'));
			$paramsArray = $params->toArray();
			$to_set = array();
			foreach($paramsArray as $key=>$prm)
			{
				if (strpos($key, '['))
				{
					$arr = explode('[',str_replace("]", "", $key));


					if (!isset($_POST[$arr[0]]))
					{

						$to_set[$arr[0]][$arr[1]] = $prm;
						//JRequest::setVar($arr[0], array($arr[1]=>$prm), "POST");
						//print_r(JRequest::getVar($arr[0]));
						//JRequest::set();
					}
				}
				else
				{
					if (!isset($_POST[$key]))
					{
						$to_set[$key] = $prm;
					}
				}

			}
			JRequest::set($to_set, "POST");
		}

		$dispatcher = &JDispatcher::getInstance();
		$leftJoines = $dispatcher->trigger('onSqlJoin');
		$leftJoines[] = JRequest::getVar('custom_join', $params->get('custom_join', ''), 'post', 'none', 2 );

		$whereClause =  $dispatcher->trigger('onSqlWhere');
		$whereClause[] =  JRequest::getVar('custom_where',$params->get('custom_where', ''), 'post', 'none', 2 );
		$leftJoines = $this->_cleanArray($leftJoines);
		$whereClause = $this->_cleanArray($whereClause);
		$sql =  "SELECT COUNT(DISTINCT (u.id)) FROM #__users as u ".implode(" \n ", $leftJoines)." WHERE 1 ".implode(" \n ", $whereClause);
		$this->_db->setQuery($sql);
		$result = $this->_db->loadResult();

		return $result;
	}

	function _cleanArray($array)
	{
		$total = count($array);
		for($i = 0; $i < $total; $i++)
		{
			if (empty($array[$i]) || $array[$i] == '')
			{
				unset($array[$i]);

			}
		}
		return $array;

	}
	function save($id, $title, $description, $query, $params)
	{

		$table = &JTable::getInstance('List', 'CommunityTable');
		$table->load($id);
		$table->bind(array('title'=>$title, 'description'=>$description, 'query'=>$query, 'params'=>$params->toString()));
		$table->check();
		/*$table->set('title', $title);
		 $table->set('description', $description);
		 $table->set('query', $query);
		 $table->set('params', $params->toString());*/
		$table->store();
		return $table->id;

	}

	function remove($id)
	{
		$table = &$this->getTable('List', 'CommunityTable');
		if (!$table->delete($id))
		{
			JError::raiseNotice(100, $table->getError(null, true));
		}
	}
	//	function _initData()
	//	{
	//		$var = new StdClass();
	//		$var->id = 0;
	//		$var->title = "";
	//		$var->description = "";
	//		$var->query = "";
	//		$var->ctime = "0000-00-00 00:00";
	//		$var->checked_out = 0;
	//		$var->checked_out_time = "0000-00-00 00:00";
	//		$var->params = "";
	//
	//
	//	}
}

?>