<?php 
/**
 * $Id: plugins.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); 

jimport('joomla.application.component.model');

class CommunityModelPlugins extends JModel
{
  var $_data = array();

  function __construct()
  {

    parent::__construct();

  }

  function &getData()
  {
  	if (empty($this->_data))
  	{
		$sql =  "SELECT * FROM #__plugins WHERE `folder` = 'community' AND `published` = 1";
		$this->_db->setQuery($sql);
		$plugins = $this->_db->loadObjectList();
		
		foreach ($plugins as $plugin)
		{
			$xml = new JSimpleXML();
			$xml->loadFile(JPATH_PLUGINS.DS.'community'.DS.$plugin->element.'.xml');
			
			$cn = count($xml->document->_children); // number of public nodes
			for ($i = 0; $i < $cn; $i++)
			{
				// find nodes that we need
				if ($xml->document->_children[$i]->_name == 'infopanels')
				{
					$ce = count($xml->document->_children[$i]->_children); // number of child nodes of the child element relatively to public node
					//then take their children and do the operation
					for($j = 0; $j < $ce; $j++)
					{

						$opt = new StdClass();
						$opt->name = $xml->document->_children[$i]->_children[$j]->_data;
						if (isset($xml->document->_children[$i]->_children[$j]->_attributes['description'])
							&&    $xml->document->_children[$i]->_children[$j]->_attributes['description'])
						{
							$opt->description = $xml->document->_children[$i]->_children[$j]->_attributes['description'];
						}
						else
						{
							$opt->description = false;
						}
						$this->_data[$plugin->name][] = $opt;

					}
				}

			}
			unset($xml);
		}
  	}
	return $this->_data;
  }

}
?>


