<?php
/**
 * $Id: subtmplsuninstall.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );
jimport( 'joomla.filesystem.file' );

class CommunityModelSubtmplsUninstall extends JModel
{

  function __construct()
  {
    parent::__construct();
  }

  function uninstall( $tmpls )
  {
    global $mainframe;
    
    $db = JFactory::getDBO();

    foreach( $tmpls as $tmpl){
    	
        preg_match ( "/^\[(.*)\]\,\[(.*)\]$/i", $tmpl, $matches );
 
        $layouts_path = CommunitySubTemplate::getTmplPath( $matches[2] );

	    $masks = CommunitySubTemplate::getTmplFullMask( $matches[2], $matches[1] );

	    if( $masks['index_file'] ){

	        $files = JFolder::files( $layouts_path, $masks['index_file'] );
	
	        foreach( $files as $file ){
	          JFile::delete( $layouts_path.DS.$file );
	        }

	    }

	    if( $masks['folder'] ){

       		$folders = JFolder::folders( $layouts_path, $masks['folder'] );

	        foreach( $folders as $folder ){
	          JFolder::delete( $layouts_path.DS.$masks['folder'] );
	        }
	    }
	    
	    $sql = "DELETE FROM #__community_templates WHERE template = '{$matches[1]}'";
	    $db->setQuery($sql);
	    $db->query();
    }

    return true;
  }

}