<?php
/**
 * $Id: list.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');


class CommunityTableList extends JTable
{

	var $id 		         = 0;
	var $title             = null;
	var $description       = null;
	var $query             = '';
	var $ctime             = '0000-00-00 00:00:00';
	var $checked_out       = 0;
	var $checked_out_time  = '0000-00-00 00:00:00';
	var $params            = '';


	function __construct(& $db) {
		parent::__construct('#__community_userlists', 'id', $db);
	}

	function check()
	{
		if ($this->ctime == '' || $this->ctime == '0000-00-00 00:00:00') {
			$this->ctime = date('Y-m-d H:i:s', strtotime('now'));
		}
		return true;
	}
}

?>