<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access');
jimport( 'joomla.application.component.view');

class CommunityViewAbout extends JView
{
	function display($tpl = null)
	{
		JToolBarHelper::title(   JText::_( 'List' ), 'generic.png' );
 		
		$file = JPATH_COMPONENT_ADMINISTRATOR.DS.'community.xml';
 		$update_file = JPATH_COMPONENT_ADMINISTRATOR.DS.'update_com_community.xml';
		if(JFile::exists($update_file))
		{
			$file = $update_file;
		}
 		
 		$data = JApplicationHelper::parseXMLInstallFile($file);
		$pluginFiles = JFolder::files(JPATH_ROOT.DS.'plugins'.DS.'community', '.xml', false, true);
		$plugins = array();
		foreach($pluginFiles as $fl)
		{
			$plugins[] = JApplicationHelper::parseXMLInstallFile($fl);

		}
 		$this->assignRef('data', $data);
 		$this->assignRef('plugins', $plugins);
		parent::display($tpl);
	}

}
?>