<?php 
/**
 * $Id: edit.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); 
$cparams = JComponentHelper::getParams ('com_media');
$editor =& JFactory::getEditor();
?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		var r = new RegExp("[^a-zA-Z0-9_]+", "i");

		if (trim(form.title.value) == "") {
			alert( "<?php echo JText::_( 'You must provide a title', true ); ?>" );
			return false;
		} else if (form.alias.value != "" && r.exec(form.alias.value)) {
			alert( "<?php echo JText::_( 'Fielld Alias may contants only letters from a to z and (_) underscore simbol.)', true ); ?>" );
			return false;
		}
		submitform( pressbutton );
	}
</script>
<form action="index.php" method="post" name="adminForm">

<div class="col width-60">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Details' ); ?></legend>
		<table class="admintable">
			<tr>
				<td class="key">
					<label for="title">
						<?php echo JText::_( 'Title' ); ?>:
					</label>
				</td>
				<td colspan="2">
					<input class="text_area" type="text" name="title" id="title" value="<?php echo $this->data->title; ?>" size="50" maxlength="50" title="<?php echo JText::_( 'A long name to be displayed in headings' ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="name">
						<?php echo JText::_( 'Name' ); ?>:
					</label>
				</td>
				<td colspan="2">
					<input class="text_area" type="text" name="name" id="name" value="<?php echo $this->data->name; ?>" size="50" maxlength="50" title="<?php echo JText::_( 'A short name for the category' ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="alias">
						<?php echo JText::_( 'Alias' ); ?>:
					</label>
				</td>
				<td colspan="2">
					<input class="text_area" type="text" name="alias" id="alias" value="<?php echo $this->data->alias; ?>" size="50" maxlength="50" title="<?php echo JText::_( 'Alias for the category for url' ); ?>" />
				</td>
			</tr>
			<tr>
				<td width="120" class="key">
					<?php echo JText::_( 'Published' ); ?>:
				</td>
				<td>
					<?php echo $this->lists['published']; ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="ordering">
						<?php echo JText::_( 'Ordering' ); ?>:
					</label>
				</td>
				<td colspan="2">
					<?php echo $this->lists['ordering']; ?>
				</td>
			</tr>
			<tr>
				<td valign="top" class="key">
					<label for="access">
						<?php echo JText::_( 'Access Level' ); ?>:
					</label>
				</td>
				<td>
					<?php echo $this->lists['access']; ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="image">
						<?php echo JText::_( 'Image' ); ?>:
					</label>
				</td>
				<td>
					<?php echo $this->lists['image']; ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="image_position">
						<?php echo JText::_( 'Image Position' ); ?>:
					</label>
				</td>
				<td>
					<?php echo $this->lists['image_position']; ?>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>
				<script language="javascript" type="text/javascript">
				if (document.forms.adminForm.image.options.value!=''){
					jsimg='../<?php echo $cparams->get('image_path'); ?>/' + getSelectedValue( 'adminForm', 'image' );
				} else {
					jsimg='../images/M_images/blank.png';
				}
				document.write('<img src=' + jsimg + ' name="imagelib" width="80" height="80" border="2" alt="<?php echo JText::_( 'Preview', true ); ?>" />');
				</script>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="image_position">
						<?php echo JText::_( 'User group able to create a group in this category (multiselect)' ); ?>:
					</label>
				</td>
				<td>
					<?php echo $this->lists['access_create']; ?>
				</td>
			</tr>
		</table>

	</fieldset>
	<fieldset class="admintable">
	<legend><?php echo JText::_( 'Description' ); ?></legend>
		<table class="admintable">
			<tr>
				<td>
					<?php
							// parameters : areaname, content, width, height, cols, rows, show xtd buttons
							echo $editor->display( 'description',  htmlspecialchars($this->data->description, ENT_QUOTES), '550', '300', '60', '20', array('pagebreak', 'readmore') ) ;
							?>
				</td>
			</tr>

		</table>
	</fieldset>
</div>
<div class="clr"></div>
<input type="hidden" name="option" value="com_community" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="categories" />
<input type="hidden" name="cid[]" value="<?php echo $this->data->get('id'); ?>" />
</form>