<?php 
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); 

jimport( 'joomla.application.component.view');

class CommunityViewPlugins extends JView
{
  function display($tpl = null)
  {
    global $mainframe, $option;

    //JToolBarHelper::title(   JText::_( 'JS Community Configurations' ));
    JToolBarHelper::apply();
    JToolBarHelper::save();
    JToolBarHelper::cancel('cancel',JText::_('Close'));

    JHTML::_('behavior.tooltip');
    JHTML::_('behavior.switcher');
    jimport('joomla.html.pane');
	$ini = '';
    if (JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'plugin_config.ini'))
    {
    	$ini = JFile::read(JPATH_COMPONENT_ADMINISTRATOR.DS.'plugin_config.ini');
    }
    $params = new JParameter($ini);

    $data = &$this->get('Data');
    $options = array();


    foreach($data as $key=>$plugin)
    {
    	$options[] = JHTML::_('select.optgroup', $key);
    	foreach ($plugin as $opt )
    	{
    		$options[] = JHTML::_('select.option', $opt->name, ($opt->description) ? $opt->description : $opt->name);
    	}

    }

    $html = JHTML::_('select.genericlist', $options, "params[fixedtabs][]", ' class="inputbox" multiple="multiple"', 'value', 'text', $params->get('fixedtabs'));

    $this->assignRef('html', $html);
    parent::display($tpl);
  }
}
?>