<?php 
/**
 * $Id: default_list_itemlist.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted Access'); ?>
<table class="adminlist">
    <thead>
      <tr>
        <th width="20">
          <?php echo JText::_( 'Num' ); ?>
        </th>
        <th width="1%">
          <input type="checkbox" id="checkMain" name="toggle" value=""  onclick="checkAll(<?php echo count( $this->items ); ?>);" />
        </th>
        <th class="title">
          <?php echo JText::_( 'Name'); ?>
        </th>
        <th width="4%">
          <?php echo JText::_( 'Default' ); ?>
        </th>
        <th width="4%">
          <?php echo JText::_( 'Version' ); ?>
        </th>
        <th width="10%">
          <?php echo JText::_( 'Date' ); ?>
        </th>
        <th width="10%">
          <?php echo JText::_( 'Author' ); ?>
        </th>
        <th width="10%">
          <?php echo JText::_( 'Author Email' ); ?>
        </th>
      </tr>
    </thead>

    <tbody id="row_<?php echo $row->id ?>">
  <?php
  $k = 0;


  foreach($this->items->itemlist AS $i => $item){

    $k = 1 - $k;
    $ident = '['.$item->ident.'],['.$item->type.']';

    $link   = 'index.php?option=com_community&amp;controller=subtmpls&amp;view=subtmpls&amp;hidemainmenu=1&amp;layout=form&amp;cid[]='.$ident;
    $default = ($item->ident == $this->default_list->template)? '<img src = "templates/khepri/images/menu/icon-16-default.png">' :"";

    ?>
      <tr class="row<?php echo $k; ?>">
        <td>
          <?php echo $this->pagination->getRowOffset( $i );?>
        </td>
        <td>
          <?php echo JHTML::_('grid.id', $i, $ident ); ?>
        </td>
        <td>
          <a href="<?php echo $link; ?>"><?php echo $item->ident; ?>(<small><b><?php echo $item->name; ?></b></small>)</a>

        </td>
        <td align="center">
        	<?php echo $default; ?>
        </td>
        <td align="center">
          <?php echo $item->version; ?>
        </td>
        <td align="center">
          <?php echo $item->creationdate; ?>
        </td>
        <td align="center">
          <a href="<?php echo $item->authorUrl; ?>"><?php echo $item->author; ?></a>
        </td>
        <td align="center">
          <a href="mailto:<?php echo $item->authorEmail; ?>"><?php echo $item->authorEmail; ?></a>
        </td>

      </tr>
    <?php
  }
  ?>
    </tbody>
  </table>
