<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.view');

JHTML::_('behavior.tooltip');
JHTML::_('behavior.switcher');
jimport('joomla.html.pane');

class CommunityViewSubtmpls extends JView
{

	function display( $tpl = null )
	{
		if(($this->getLayout() == 'form') || (JRequest::getVar('layout') == 'form')){
			$this->display_form();
			return;
		}

		global $mainframe, $option;

		$document =& JFactory::getDocument();

		//$document->addScript(JURI::root().'administrator/components/com_resource/js/felixrating.js');

		$filter_types = $mainframe->getUserStateFromRequest( $option.'category.filter_types', 'filter_types', '', 'word' );

		JToolBarHelper::title(   JText::_( 'Custom Templates' ), 'thememanager.png' );
		JToolBarHelper::makeDefault();
		JToolBarHelper::deleteList( '', 'doUninstall', 'Uninstall' );

		$uri	= & JFactory::getURI();

		$model = & JModel::getInstance('Subtmpls', 'CommunityModel');

		$items      = $model->getData();
		$pagination = $model->getPagination();
		$ftp        = & JClientHelper::setCredentialsFromRequest('ftp');
		//= $this->get('Default');
		$default_list = $model->getDefault('list');
		$default_profile = $model->getDefault('profile');
		$default_custom = $model->getDefault('customlist');
		$default_groups_list = $model->getDefault('groups_list');
		$default_group = $model->getDefault('group');


		$this->assignRef('default_list',     $default_list);
		$this->assignRef('default_profile',  $default_profile);
		$this->assignRef('default_custom',  $default_custom);
		$this->assignRef('default_groups_list',  $default_groups_list);
		$this->assignRef('default_group',  $default_group);
		$this->assignRef('ftp',         $ftp);
		$this->assignRef('items',       $items);
		$this->assignRef('pagination',  $pagination);
		$this->assignRef('request_url',	$uri->toString());

		parent::display($tpl);
	}

	function display_form( $tpl = null )
	{
		global $mainframe, $option;

		JToolBarHelper::title(   JText::_( 'Product Templates' ), 'thememanager.png' );
		JToolBarHelper::save();
		JToolBarHelper::apply();
		JToolBarHelper::cancel();

		$uri	= & JFactory::getURI();

		$tmpl = JRequest::getVar('cid');
		$tmpl = $tmpl[0];

		preg_match ( "/^\[(.*)\]\,\[(.*)\]$/i", $tmpl, $matches );

		$img_path = CommunitySubTemplate::getTmplImgSrc( $matches[2], $matches[1] );
		$file_ini = CommunitySubTemplate::getTmplFile( $matches[2], $matches[1].'.ini' );
		$file_xml = CommunitySubTemplate::getTmplFile( $matches[2], $matches[1].'.xml' );

		$ini = is_file( $file_ini ) ? JFile::read( $file_ini ) : '';

		$params = new JParameter( $ini, $file_xml );

		$this->assignRef('params',      $params);
		$this->assignRef('name',        $matches[1]);
		$this->assignRef('type',        $matches[2]);
		$this->assignRef('img_path',    $img_path);
		$this->assignRef('request_url',	$uri->toString());

		parent::display($tpl);
	}
}
?>