<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class CommunityViewCustomList extends JView
{
	function display($tpl = null) 
	{
		global $mainframe, $option, $Itemid;
		$uri = JFactory::getURI();
		$user = &JFactory::getUser();
		$document = &JFactory::getDocument();
		$document->addScript(JURI::root()."components/com_community/assets/javascript.js");
		$pathway	=& $mainframe->getPathway();


		//---------------------------------
		$filters = array();
		$params = new JParameter('');

		$menus	= &JSite::getMenu();
		$menu	  = $menus->getActive();
		$menu_params = new JParameter( @$menu->params );
		$pendingFriends = array();

		//---------------------------------
		$dispacher = &JDispatcher::getInstance();

		$items = array();
		$pagination = null;
		$client = (JRequest::getVar('client', ''));
		$page_title = "";
		$plugin_found = false;
		$limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		
		$return = JRequest::getVar('return', '');
		$title  = JRequest::getVar('title', '');
		if ($return && $title)
		{
			$return = base64_decode($return);
			$title  = base64_decode($title);
			$pathway->addItem($title, $return);
		}
		else
		{
			$pathway->addItem(JText::_("User List"), 'index.php?option=com_community&view=userlist&Itemid='.$Itemid);
		}
		
		
		if (trim($client) != '' || $menu_params->get('client', '') != '')
		{

			$dispatcher = &JDispatcher::getInstance();
			$customUsers = $dispatcher->trigger('onCustomUserList', array($client, $limitstart, $limit));
			foreach ($customUsers as $userlist)
			{
				if (is_object($userlist))
				{
					$plugin_found = true;
					jimport('joomla.html.pagination');

					$items = $userlist->users;
					$total = $userlist->total;
					//$items = array_slice($items, $limitstart, $limit);
					$page_title = $userlist->page_title;
					$pagination = new JPagination( $total, $limitstart , $limit );
					if (isset($userlist->notice))
					{
						$params->set('show_notice', $userlist->notice);

					}
					if ($params->get('show_notice', 0))
					{
						JError::raiseNotice(100, JText::_("You are viewing not full userlist. In order to view full user list click here.").
								" <a href='".JRoute::_("index.php?option=com_community&view=list&Itemid=".COMMUNITY_GENERAL_LIST_ITEMID).
								"'>".JText::_("View full user list.")."</a>");
					}
					if (isset($userlist->description))
					{
						$params->set('description', $userlist->description);
					}
					/*if (isset($userlist->description))
					{
						$params->set('description', $userlist->description);
					}*/
					$this->assignRef('client', $client);
				}
			}
		}
		//JSTODO : Don't know for what this else stands here. o_0
		/*else
		{

			$result = &$model->getUsers($menu_params->get('list'));
			 print "<pre>";
			 print_r($result);
			 print "</pre>";
			 exit;
			 $page_title = $result->title;
			 $items = $result->users;
			 $params->set('description', $result->description);


		}*/
		if (!$plugin_found)
		{
			JError::raiseError(404, JText::_("The client plugin is not found.")." ".JText::_('Check whether the client plugin is passed to this view for showing custom User List') );
		}

		$params->set('page_title', $menu_params->get('page_title', $page_title));
	
		$this->setLayout('default');


		if ($menu_params->get('page_title', '')== '')
		{
			$document->setTitle( $params->get('page_title', JText::_("User List")));
		}
		else
		{
			$document->setTitle( $menu_params->get('page_title', JText::_("User List")));
		}
		$params->set('show_title', $menu_params->get('show_page_title', 1));


		$templateParams = "";
		
		$list_tmpl = JRequest::getWord('customlist_tmpl', COMMUNITY_GENERAL_DEFAULT_CUSTOMLIST_TEMPLATE);
		if(!$list_tmpl) $list_tmpl = 'default';
		
		$tmpl_ini_file = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'views'.DS.'customlist'.DS.'tmpl'.DS.'default_customlist_'.$list_tmpl.'.ini';

		$tmpl_ini = "";
		if(JFile::exists($tmpl_ini_file))
		{
			$tmpl_ini = JFile::read($tmpl_ini_file);
		}
		$tmpl_params = new JParameter($tmpl_ini);

		for ($i = 0; $i<count($items); $i++)
		{
			
			$items[$i]->avatar = 'index2.php?option=com_community&controller=profile&task=avatar&user_id='.$items[$i]->id.'&width='.$tmpl_params->get('av_widtht', 250).'&height='.$tmpl_params->get('av_height', 250).'&no_ajax=1';
		}

		$this->assignRef( 'list_tmpl',      $list_tmpl);           // Current User
		$this->assignRef( 'user',           $user);           // Current User
		$this->assignRef( 'Itemid',         $Itemid);         // Itemid
		$this->assignRef( 'pagination',     $pagination);     // Pagination
		$this->assignRef( 'params',         $params);         // General Parameters
		$this->assignRef( 'items',          $items);          // Item list from the DB
		$this->assignRef( 'tmpl_params',    $tmpl_params);    // Template Parameters
		$this->assignRef( 'uri',    $uri);    // CURRENT URI

		$this->assignRef( 'request_url',	 $uri->toString());// Current URL
		parent::display($tpl);
	}

	function _loadConfigurations($userid)
	{
		$ini = "";
		$path = str_replace('\\', '/', COMMUNITY_GENERAL_USERCONFIG.DS.$userid.'.ini');
		if (JFile::exists($path))
		{
			$ini = JFile::read($path);
		}
		return $ini;
	}


}
?>