<?php
/**
 * $Id: group_groups_default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.utilities.date');
$imgFolder =  COMMUNITY_GENERAL_UPLOAD;
$date = new JDate($this->data->ctime);
$uri = &JFactory::getURI();
$uri->setVar('id', $this->data->id);
?>
<div class="componentheading"><?php echo $this->data->title; ?>
<?php if ($this->groupParams->get('show_num_members', 1)): ?>
(<?php echo $this->data->num_users; ?>)
<?php endif; ?>
</div>

<?php 

if (!$this->access){

?>
<table width="100%">
	<tr valign="top">
		<td width="1%"><img src="<?php echo $this->data->icon; ?>" /> <br />
		</td>
		<td>
		<?php echo JText::_("Category"); ?>: <a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=default&category_id={$this->data->catid}&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><?php echo $this->data->category; ?></a>
		<ul>
			<?php foreach ($this->menuItems as $menu): ?>
			<li><a href="<?php echo $menu->link; ?>" title="<?php echo $menu->alt ?>" alt="<?php echo $menu->alt ?>"><?php echo $menu->alt; ?></a></li>
			<?php endforeach; ?>
		</ul>

		</td>
	</tr>
</table>
<div>
	<?php echo JText::_($this->groupParams->get('restricted_messsge')); ?>
</div>

<?php 
    return;
}
?>

<table width="100%">
	<tr valign="top">
		<td align="center" width="30%" valign="middle" style="background-color: #eef2f6; padding: 8px;">
			<img src="<?php echo $this->data->icon; ?>" /> <br />
		</td>
		<td>
		<div><?php echo $this->data->publish; ?></div>
		<div><?php echo JText::_('Created by') ?> <?php echo JSCommunityApi::getUserSlideMenu($this->creator->id, $this->creator->username);?>
		<?php echo JText::_('on') ?> <span class="small"><?php echo $date->toFormat(COMMUNITY_GENERAL_DATE_FORMAT); ?></span>
		</div>
		<div>
			<table>
				<tr>
					<td class="key">
						<?php echo JText::_("Category"); ?>:
					</td>
					<td class="value">
						<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=default&category_id={$this->data->catid}&Itemid=".COMMUNITY_GENERAL_GROUP_ITEMID); ?>"><?php echo $this->data->category; ?></a>
					</td>
				</tr>
				<?php if (count($this->moderators)): ?>
				<tr>
					<td class="key">
						<?php echo JText::_("Moderators"); ?>:
					</td>
					<td class="value">
						<?php
							$numModerators = count($this->moderators);
							$i = 0;
							foreach ($this->moderators as $moderator)
							{
								echo JSCommunityApi::getUserSlideMenu($moderator->id, $moderator->username);
								if ($i != $numModerators-1)
								{
									echo ", ";
								}
								$i++;
							}
						?>
						&nbsp;
						<span class="small">
						<a  href="<?php echo JRoute::_("index.php?option=com_community&view=customlist&client=community&view-what=moderators&group={$this->data->id}&Itemid={$this->Itemid}"); ?>">
							<?php echo JText::_("View all...") ?>
						</a>
						</span>
					</td>
				</tr>
				<?php endif; ?>
				<?php if (count($this->members)): ?>
				<tr>
					<td class="key">
						<?php echo JText::_("Members"); ?>:
					</td>
					<td class="value">
						<?php
							$numMembers = count($this->members);
							$i = 0;
							foreach ($this->members as $member)
							{
								echo JSCommunityApi::getUserSlideMenu($member->id, $member->username);
								if ($i != $numMembers-1)
								{
									echo ", ";
								}
								$i++;
							}
						?>
						&nbsp;<span class="small">
						<a  href="<?php echo JRoute::_("index.php?option=com_community&view=customlist&client=community&view-what=members&group={$this->data->id}&Itemid={$this->Itemid}");?>">
							<?php echo JText::_("View all...") ?>
						</a>
						</span>
					</td>
				</tr>
				<?php endif; ?>
			</table>
		</div>
		<div>
		<ul>
			<?php foreach ($this->menuItems as $menu): ?>
			<li><a href="<?php echo $menu->link; ?>" title="<?php echo $menu->alt ?>" alt="<?php echo $menu->alt ?>"><?php echo $menu->alt; ?></a></li>
			<?php endforeach; ?>
		</ul>
		</div>
		</td>
	</tr>
</table>

<?php if ($this->data->description):?>
<br />
<div class='status-corner1'>
<div class='status-corner2'>
<div class='status-corner3'>
<div class='status-corner4'>
<div class="contentheading" style="padding:8px;"><?php echo JText::_("Welcome Message"); ?></div>
<?php echo $this->data->description; ?>
</div></div></div></div>
<?php endif; ?>

<div style="clear:both;"></div>
<?php
if (count($this->activity))
{
	?>
	<br />
	<div class="contentheading"><?php echo JText::_("Group Activity"); ?></div>
	<table width="100%">
	<?php
	foreach($this->activity as $activ)
	{
		?>
		<tr>
			<td width="1%">
				<?php if ($activ->icon): ?>
				<img src="<?php echo JURI::root() ?><?php echo $activ->icon;?>">
				<?php endif; ?>
			</td>
			<td nowrap="nowrap" width="10%">
			<?php
			$ctime = new JDate($activ->ctime);
			echo $ctime->toFormat(COMMUNITY_ACTIVITY_DATE_FORMAT_PROFILE);
			?>
			</td>
			<td>
				<?php echo JSCommunityApi::getUserSlideMenu($activ->user_id, $activ->username); ?> <?php echo $activ->text; ?>
			</td>
		</tr>
		<?php
	}
	?>
	</table>
	<a class="readon" href="<?php echo JRoute::_("index.php?option=com_community&view=history&view_what=group&id={$this->data->id}&Itemid=".COMMUNITY_GENERAL_ACTIVITY_ITEMID); ?>"><?php echo JText::_("Activity History");?></a>
	<?php
}
?>

<?php
if (count($this->sections))
{
	?>
	<div style="clear:both;"></div>
	<?php
	
	foreach ($this->sections as $key => $value)
	{
		?>
		<br /><div class="contentheading"><?php echo $value['title']; ?></div>
		<p align="right">
			<img src="<?php echo JURI::root() ?>components/com_community/images/show_all.png" align="absmiddle" />
			<a href="<?php echo JRoute::_('index.php?option=com_resource&view=list&category_id='.$key.'&Itemid='.JRequest::getInt('Itemid').'&client='.urlencode(stripslashes($value['client'])).'&client_id='.$this->data->id) ?>"><?php echo JText::_('Show All') ?></a>
			&nbsp;
			
			<?php if(count($value['add']) > 1): ?>
			<?php $elements = addslashes(htmlspecialchars('<div class="small">'.JText::_('Choose type to submit').'</div><ul class="menu"><li>'.implode(" </li><li> ", $value['add']).'</li></ul>', ENT_QUOTES, 'UTF-8')); ?>
			<img src="<?php echo JURI::root() ?>components/com_community/images/add_new.png" align="absmiddle" /> 
			<a href="javascript:void(0);" class="myTip" title="<?php echo JText::_('Submission Menu') ?>::<?php echo $elements ?>"><?php echo JText::_('Submit Here'); ?></a>
			<?php elseif (count($value['add']) == 1): ?>
				<span style="float:right;">
					 <?php echo(implode("&nbsp; | &nbsp;", $value['add'])); ?>
				</span>
			<?php endif; ?>
			
		</p>
		<?php echo $value['text']; ?>
		<br />
		<?php
	}
}


?>
<script language="javascript">
	function removeCommunityGroup()
	{
		var to_do =confirm("<?php echo JText::_("Are you sure you want to remove the group?") ?>");
		if (to_do)
		{
			document.location="<?php echo JRoute::_("index.php?option=com_community&controller=groups&task=remove&id={$this->data->id}&Itemid={$this->Itemid}"); ?>";
		}
	}
</script>
<div style="clear:both;">
</div>
