<?php
/**
 * $Id: invite.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
?>

<div class="componentheading"><?php echo JText::sprintf("Invite %s to the selected group", $this->user->username); ?></div>
<form name="adminForm" method="post" action="<?php echo $this->uri->toString(); ?>">
<div style="text-align:right;">
	<input type="button" value="<?php echo JText::_('Send invintation'); ?>" class="button" onclick="inviteusertoGroup();"/>
	<input type="button" value="<?php echo JText::_('Cancel'); ?>" class="button" onclick="back();" />
</div>
<table width="100%">
	<tr>
	<?php
		$cols = ($this->params->get('columns', 3));
		$counter = 1;

		foreach($this->items as $group)
		{
			if (($counter-1)%$cols == 0)
			{
				echo "</tr><tr>";
			}
			?>
				<td align="center">
				<label for="group_<?php echo $group->id; ?>">
				<img src="<?php echo $group->icon; ?>">
				</label>
				<br />
					<a href="<?php echo JRoute::_("index.php?option=com_community&view=groups&layout=group&id=".$group->id.'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID); ?>" target="_blank"><?php echo $group->title;?></a>
				<br>
					<input type="radio" name="group_to_inv" value="<?php echo $group->id; ?>" id="group_<?php echo $group->id; ?>"/>
				</td>

			<?php
		$counter++;
		}
	?>
	</tr>
</table>

<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>">
<input type="hidden" name="option" value="com_community"/>
<input type="hidden" name="controller" value="groups" />
<input type="hidden" name="task" value="inviteUser" />
<input type="hidden" name="user" value="<?php echo $this->user->id; ?>" />
<input type="hidden" name="redirect" value="<?php echo JRequest::getVar('redirect'); ?>" />
</form>
<script language="javascript">
function inviteusertoGroup()
{
	var form = document.adminForm;
	var value = false;
	if (form.group_to_inv.length)
	{
		for(i=0 ; i< form.group_to_inv.length ; i++){
		if(form.group_to_inv[i].checked)
			{
			 	value = true;
			}
		}
	}
	else if (form.group_to_inv.checked)
	{
		value = true;
	}
	if (!value)
	{
		alert("<?php echo JText::_("Please select the group first", true); ?>");
	}
	else
	{
		form.submit();
	}
}
</script>