<?php
/**
 * $Id: requests.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or dir('Restricted Access'); 
jimport('joomla.utilities.date');
?>
<div class="componentheading"><?php echo JText::_("Manage User of the group") ?> <?php echo $this->data->title; ?></div>
<form name="adminForm" method="post" action="<?php echo $this->uri->toString(); ?>">
<input type="text" name="search" class="inputbox" value="<?php echo JRequest::getWord('search'); ?>" /> <input type="submit" value="Search" class="button" />
<table width="100%">
<thead>
<tr>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Username', 'u.username', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Members/Moderators', 'um.access_type', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Pending', 'um.pending', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Blocked', 'um.user_block', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Join Date', 'um.ctime', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
	<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Registration Date', 'u.registerDate', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
</tr>
</thead>
<tbody>
	<?php
	// link
	// icon
	// alt
		$k = 0;
		$i = 0;
		foreach ($this->items as $item):
		?>
		<tr class="sectiotableentry<?php echo $k + 1; ?>">
		<td nowrap="nowrap">
			<?php echo JSCommunityApi::getUserSlideMenu($item->id, $item->username); ?>
		</td>
		<td align="center">
		<?php if ($this->user->get('id') == $this->creator->id): ?>
			<a href="javascript:void(0);" onclick="xajax_makeModerOrMember(<?php echo $item->id ?>, 'setmoderator<?php echo $item->id ?>', <?php echo $this->data->id; ?>);changeImage('setmoderator<?php echo $item->id ?>', 'loading.gif');" id="setmoderator<?php echo $item->id ?>">

		<?php endif; ?>
			<?php if ($item->access_type): ?>
			<?php echo JText::_('Moderator'); ?>
			<?php else : ?>
			<?php echo JText::_("Member"); ?>
			<?php endif; ?>
		<?php if ($this->user->get('id') == $this->creator->id): ?>
		</a>
		<?php endif; ?>
		</td>
		<td align="center">
			<?php if ($item->pending): ?>
			<a href="javascript:void(0);" onclick="xajax_approveUserJoinGroup(<?php echo $item->id ?>, 'approve<?php echo $item->id ?>', <?php echo $this->data->id; ?>);changeImage('approve<?php echo $item->id ?>', 'loading.gif'); " title="<?php echo JText::_('Approve'); ?>" id="approve<?php echo $item->id ?>">
				<img src="<?php echo JURI::root().'components/com_community/images/pending.png'; ?>">
			</a>
			<?php else: ?>
			<img src="<?php echo JURI::root().'components/com_community/images/approve.png'; ?>">
			<?php endif; ?>
		</td>
		<td align="center">
		
		<?php 
		    $moder = $this->mModel->isGroupModerator($this->data->id, $item->id);
		    if ( !$moder ): ?>
		<a href="javascript:void(0);" onclick="xajax_blockUnblockUser(<?php echo $item->id ?>, 'block<?php echo $item->id ?>', <?php echo $this->data->id; ?>);changeImage('block<?php echo $item->id ?>', 'loading.gif');" id="block<?php echo $item->id ?>" title="<?php echo JText::_("Block"); ?>">
		<?php endif; ?>
			<?php if (!$item->user_block): ?>

				<img src="<?php echo JURI::root().'components/com_community/images/tick.png'; ?>">

			<?php else: ?>

			<img src="<?php echo JURI::root().'components/com_community/images/blocked.png'; ?>">

			<?php endif; ?>
		<?php if ( !$moder ): ?>
		</a>
		<?php endif; ?>
		</td>
		<td>
			<?php
				$joinDate = new JDate($item->join_date);
				echo $joinDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
			?>
		</td>
		<td>
			<?php
				$registerDate = new JDate($item->registerDate);
				echo $registerDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
			?>
		</td>
		</tr>
		<?php $k = 1 - $k; endforeach; ?>
</tbody>
</table>

<br>
<center>
<?php if (count($this->items) && $this->pagination->getPagesCounter())	:?>
	<p class="pagenavepanel"><?php echo $this->pagination->getPagesLinks(); ?></p>
<?php endif; ?>
	<p>
	<?php $pages = $this->pagination->getPagesCounter(); echo $pages;?>
	<?php echo $this->pagination->getLimitBox(); ?>
	</p>
</center>

<input type="hidden" name="option" value="com_community" />
<input type="hidden" name="controller" value="groups" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order'] ?>" />
<input type="hidden" name="filter_order_Dir" value="" />

</form>
<script language="javascript">
function changeImage(id, image)
{
	var link = document.getElementById(id);
	link.innerHTML = "<img src='<?php JURI::root(); ?>components/com_community/images/"+image+"'>";
}
</script>