<?php
/**
 * $Id: default.php 7384 2011-10-10 06:39:07Z peter $
 * $LastChangedDate: 2011-10-10 12:39:07 +0600 (Mon, 10 Oct 2011) $
 * $LastChangedBy: peter $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.utilities.date');
?>
<style>
#select_type_current, #type_options {
	border:1px solid #e4f5ff;
}
#select_type_current
{
	padding-left:5px;
}
#select_type_replace {
	position:relative;
	overflow:visible;
	cursor:default;
	height:28px;
	width:230px;
	z-index: 100;
}

#select_type_current {
	background:url(<?php echo JURI::root().'components/com_community/images/downarrow.png'; ?>) no-repeat right center;
	margin-bottom:0px;

}
#select_type_current, #type_options li {
	height:28px;
	color:black;
	background-color:#fff;
	line-height:28px;
	display: block;
	margin:1px;
	pagging:2px;
	height: auto;
}
ul#type_options {
	width:216px;
	margin:0;
	list-style-type:none;
	border-top:0px;
	display:none;
	position:absolute;
	padding:5px;
	background-color:#FFF;
	background-image:none;
}

ul#type_options li {
	list-style-type:none;
	background-color: #FFF;
	background-image: none;
	margin:0;
	padding:0;
	padding-left:5px;

}

#select_type_replace
{
	text-align:left;
	float:right;
	margin-right: 10px;
}
</style>
<script type="text/javascript">
		function jsc_load_type_list() {
			$("select_type").style.display = "none";
			$("select_type_replace").style.display = "block";
			lis = $("type_options").getElementsByTagName("li");
			for (i = 0; i < lis.length; i++) {
				lis[i].onclick = function() {
					$("select_type").value = this.getAttribute("rel");
					$("type_options").style.display = "none";
					$("select_type_current").innerHTML = this.innerHTML;
					document.adminForm.submit();
				}
				lis[i].onmouseover = function() { this.style.backgroundColor = "#EEE"; }
				lis[i].onmouseout = function() { this.style.backgroundColor = "transparent";}

			}
			$("select_type_replace").onmouseover = function() {
				$("type_options").style.display = "block";
			}
			$("select_type_replace").onmouseout = function() {
				$("type_options").style.display = "none";
			}
		}
</script>
<?php if ($this->params->get('show_page_title')): ?>
<div class="componentheading"><?php echo $this->params->get("page_title"); ?></div>
<?php endif;?>

<?php
$user = JFactory::getUser();
if (JRequest::getInt("id", 0) > 0 && (JRequest::getCmd('view_what') == 'group'))
{
	JRequest::setVar('group_id', JRequest::getInt("id"));
	require_once(JPATH_COMPONENT_SITE.DS.'views'.DS.'group_block.php');
}
?>

<form name="adminForm" id="adminForm" method="post" action="<?php echo $this->uri->toString();?>" >
<table width="100%">
	<tr>
		<td>
			<?php if(COMMUNITY_HISTORY_ALL_ENABLE): ?>
				<?php $link = 'index.php?option=com_community&view=history&view_what=all&Itemid='.COMMUNITY_GENERAL_ACTIVITY_ITEMID.'&activity_type='.JText::_("All activity"); ?>
				<a href="<?php echo JRoute::_($link);?>"><?php echo JText::_("All activity") ?></a>
			<?php endif; ?>
			
			<?php  if((JRequest::getVar('view_what') == 'all' || JRequest::getVar('view_what') == 'my') && JRequest::getVar('client') != 'user' && COMMUNITY_GROUPS_ALLOW_CREATE): ?>
			 	<?php $this->uri->setVar('client', 'user');?>
			 	<span class="small"> | </span>
			 	<a href="<?php echo $this->uri->toString();?>"><?php echo JText::_("User's Activity") ?></a>
			<?php endif; ?>
			<?php  if((JRequest::getVar('view_what') == 'all' || JRequest::getVar('view_what') == 'my') && JRequest::getVar('client') != 'community' && COMMUNITY_GROUPS_ALLOW_CREATE): ?>
			 	<?php $this->uri->setVar('client', 'community');?>
			 	<span class="small"> | </span>
			 	<a href="<?php echo $this->uri->toString();?>"><?php echo JText::_("Group's Activity") ?></a>
			<?php endif; ?>
			<?php if($user->get('usertype') == 'Super Administrator'):?>
			 	<span class="small"> | </span>
			 	<a href="javascript:void(0);" onclick="submitbutton('delete_activity')"><?php echo JText::_("Delete") ?></a>
			<?php endif; ?>
		</td>
		<td align="right">
			<?php
			echo _getRenderedTypes($this->types);
			?>
		</td>
	</tr>
</table>
<?php if (COMMUNITY_HISTORY_RSS): ?>
	<?php 
		$uri = &JFactory::getURI();
		$uri->setVar('activity_type', $this->type);
		$uri->setVar('type', 'rss');
		$uri->setVar('format', 'feed');
	?>
	<p><a href="<?php echo $uri->toString() ?>"><img align="absmiddle" src="<?php echo JURI::root()."components/com_community/images/rssicon.png" ?>" />
	<?php 
	$uri->delVar('activity_type', $this->type);
	$uri->delVar('type', 'rss');
	$uri->delVar('format', 'feed');
	?>
	<?php echo JText::_("RSS for"); ?> (<?php 
	echo JText::_($this->type); ?>
	<?php
		switch (JRequest::getVar('view_what'))
		{
			case 'my-groups':
				echo ' - '.JText::_("Groups I Joined");
				break;
			case 'my':
				echo ' - '.JText::_("My");
				break;
			case 'group':
				echo ' - '.JText::_("Current Group");
				break;
			case 'friends':
				echo ' - '.JText::_("Friends");
				break;
		}
	?>
	 )</a>
	</p>
<?php endif; ?>

<table width="100%" cellpadding="2" cellpadding="0">
<?php
$current_date = null;
$today = date("%d");

foreach ($this->data as $key=>$item)
{
	$custom_links = array();
	if(COMMUNITY_HISTORY_PROFILE_ENABLE)
	{
		$customSlideLink = new StdClass();
		$customSlideLink->icon = "components/com_community/images/add_new.png";
		$customSlideLink->link = JRoute::_("index.php?option=com_community&view=history&view_what=my&id=".$item->user_id.'&Itemid='.COMMUNITY_GENERAL_ACTIVITY_ITEMID);
		$customSlideLink->alt  = JText::_("User Activity History");
		$custom_links[] = $customSlideLink;
	}
	if(COMMUNITY_HISTORY_GROUP_ENABLE)
	{
		$customSlideLink2 = new StdClass();
		$customSlideLink2->icon = "components/com_community/images/add_new.png";
		$customSlideLink2->link = JRoute::_("index.php?option=com_community&view=history&view_what=my-groups&id=".$item->user_id.'&Itemid='.COMMUNITY_GENERAL_ACTIVITY_ITEMID);
		$customSlideLink2->alt  = JText::_("User's Groups Activity History");
		$custom_links[] = $customSlideLink2;
	}

	$date = new JDate($item->ctime);
	if (empty($current_date) || $date->toFormat("%d") != $current_date)
	{
		$current_date = $date->toFormat("%d");
		?>
	<tr>
		<td colspan="4">
			<?php
			if ($current_date == $today)
			{
				echo "<span class='contentheading'>".JText::_('Today')."</span>";
			}
			else if ($today - 1 == $current_date)
			{
				echo "<span class='contentheading'>".JText::_('Yesterday')."</span>";
			}
			else
			{
				echo "<span class='contentheading'>".$date->toFormat(COMMUNITY_ACTIVITY_DATE_FORMAT_FULL)."</span>";

			}
			 ?>
		</td>
	</tr>
		<?php

	}

?>
	<tr valign="middle">
		<?php if($user->get('usertype') == 'Super Administrator'):?>
			<td width="1px">
				<input type="checkbox" name="cid[]" value="<?php  echo $item->id?>" />
			</td>
		<?php endif; ?>
		<td width="1%">
			<?php if ($item->icon): ?>
				<?php 
				if($item->type != '')
				{
					$this->uri->setVar('activity_type', $item->type);
				}
				?>
				
				<a href="<?php echo $this->uri->toString(); ?>"><img border="0" src="<?php echo JURI::root(); ?><?php echo $item->icon;?>"></a>
				<?php $this->uri->delVar('activity_type');?>
			<?php endif; ?>
		</td>
		<td align="left" width="1%" nowrap="nowrap">
		<?php

		echo $date->toFormat("%H:%M");
		?>
		</td>
		<td align="left">
			<?php echo JSCommunityApi::getUserSlideMenu($item->user_id,$item->username, $custom_links) ;?>
			<?php if($item->client == 'community'): ?>
				[<?php echo JHTML::tooltip(JText::sprintf('Show activity of %s group only', stripslashes($this->getGroupTitle($item->client_id))), null, null,
				stripslashes($this->getGroupTitle($item->client_id)),
				JRoute::_('index.php?option=com_community&view=history&view_what=group&id='.$item->client_id.'&Itemid='.COMMUNITY_GENERAL_ACTIVITY_ITEMID), 1); ?>
				
				<A href="<?php echo JRoute::_('index.php?option=com_community&view=groups&layout=group&id='.$item->client_id.'&Itemid='.COMMUNITY_GENERAL_GROUP_ITEMID) ?>">
				<img src="<?php echo JURI::root() ?>components/com_community/images/str_right.gif" border="0" class="hasTip" align="absmiddle" title="::<?php echo JText::sprintf('Visit group %s', stripslashes($this->getGroupTitle($item->client_id))); ?>">
				</A>
				] 
			<?php endif; ?>
			<?php echo $item->text; ?>
		</td>
	</tr>
<?php

}
?>
</table>

<br />
<center>
<?php if (count($this->data) && $this->pagination->getPagesCounter())	:?>
	<p class="pagenavepanel"><?php echo $this->pagination->getPagesLinks(); ?></p>
<?php endif; ?>
	<p>
	<?php $pages = $this->pagination->getPagesCounter(); echo $pages;?>
	<?php echo $this->pagination->getLimitBox(); ?>
	</p>
</center>

<input type="hidden" name="option"     value="com_community" />
<input type="hidden" name="view"       value="history" />
<input type="hidden" name="task"       value="" />
<input type="hidden" name="user_id"    value="<?php echo @$this->user->id; ?>" />
<input type="hidden" name="limitstart" value="0" />
</form>

<script type="text/javascript">
jsc_load_type_list();
</script>
<?php
	/**
	 * The plugins must have following properties
	 * ->date                - the date that something happened
	 * ->user_id             - user who did the action
	 * ->username            - User's Username
	 * ->action              - the string containing what happened
	 * ->url                 - url a link to go and see something
	 * ->urlLable            - url lable
	 * ->icon                - some icon for that action
	 **/
?>
<?php 
function _getRenderedTypes($types)
{
	global $mainframe, $option;

	$type   = $mainframe->getUserStateFromRequest($option.'.history.activity_type', 'activity_type', JText::_("All Activity"), 'string');
	$selected = '';
	foreach($types as $key => $t)
	{
		if($type == $t->type && $t->type)
		{
			$selected = $key;
		}
	}
	
	$result = "";
	$typeOptions = array();
	$html = "";
	if (@$types[$selected]->icon != '')
	{
		$img = '<img src="'.JURI::root().@$types[$selected]->icon.'" align="absmiddle" /> ';
	}
	else
	{
		$img = '';
	}
	$html .='<div id="select_type_replace" style="display:none; float:right;" >';
	$html .='<div id="select_type_current" >
				'.$img.@$types[$selected]->type.'
			</div>';
	$html.='<ul id="type_options" >';
	$typeOptions[] = JHTML::_('select.option', '', JText::_('Select Type'));
	foreach($types as $t)
	{
		if ($type == $t->type){continue;}
		if (trim($t->type) == '') {continue;}
		
		$img = $t->icon ? '<img src="'.JURI::root().$t->icon.'" align="absmiddle" /> ': '';
		$html.='<li rel="'.$t->type.'">'.$img.JText::_($t->type).( isset($t->total) ? ' ('.$t->total.') ' : '').'</li>';
		$typeOptions[] = JHTML::_('select.option', $t->type, $t->type);
	}
	$html.="</ul>";
	$html.='</div>';
	$result = JHTML::_('select.genericlist',  $typeOptions, 'activity_type', ' style="display:none;" onchange="document.adminForm.submit();" onkeyup="document.adminForm.submit();"', 'value', 'text', $type, 'select_type');
	$result.=$html;
	return $result;
}
?>