<?php 
/**
 * $Id: default_list_table.php 7951 2012-03-14 07:17:02Z kostya $
 * $LastChangedDate: 2012-03-14 13:17:02 +0600 (Wed, 14 Mar 2012) $
 * $LastChangedBy: kostya $
 * MightyTouch by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.html.pane');
jimport('joomla.utilities.date');
$tabs = &JPane::getInstance('tabs');
?>

<table width="100%" cellpadding="0" cellspacing="0" >
<?php
$i = 1;
$width = (int)$this->tmpl_params->get('numcols')/(int)$this->tmpl_params->get('num_rows', 5);
foreach ($this->items as $item)
{
	$status = JSCommunityApi::getUserStatusMessage($item->id, false, true);
	$link = '<a href="'.JRoute::_('index.php?option=com_community&view=profile&user_id='.$item->id."&Itemid=".COMMUNITY_GENERAL_PROFILE_ITEMID).'" alt="'.$item->username.'" title="'.$item->username.'">';
	$linkend = "</a>";
			?>
			<tr>
			<td  valign='top' align="center" style="padding:5px;">
			<?php
			if ($item->avatar)
			{
				echo "{$link}<img src='".JURI::root()."{$item->avatar}'>{$linkend}<br />{$link}".JSCommunityApi::getUserSlideMenu($item->id, $item->username)."{$linkend}<br />\n";
			}
			else
			{
				//echo "{$link}{$item->username}{$linkend}<br />\n";
				echo JSCommunityApi::getUserSlideMenu($item->id, $item->username);

			}
			echo "<br />".JSCommunityApi::getUserStatusMessage($item->id);
			if ($item->id != $this->user->get('id') && $this->user->get('id') > 0 && JRequest::getVar('task') == 'myfriends')
			{
				?>
				 <a href="<?php echo JRoute::_("index.php?option=com_community&controller=profile&task=removefriend&frd_id={$item->id}&Itemid={$this->Itemid}");?>" >
				 <small><span style="color:red;"><?php echo JText::_("End Friendship");?></span></small>
				 </a>
				 <?php
			}
			?>
			</td>
			<td valign="top" style="padding:5px;">
				<table width="100%">
					<tr>
						<th class="sectiontableheader" colspan="2">
							<?php echo JText::_("General Info"); ?>
						</th>
					</tr>
					<?php
					if ($this->tmpl_params->get('name', 1)):
					?>
					<tr>
						<td width="150">
							<b><?php echo JText::_("Name")?>:</b>
						</td>
						<td>
							<?php echo $item->name; ?>
						</td>
					</tr>
					<?php
					endif;
					if ($this->tmpl_params->get('usertype' , 1 )):
					?>
					<tr>
						<td>
							<b><?php echo JText::_("Usertype")?>:</b>
						</td>
						<td>
							<?php echo $item->usertype; ?>
						</td>
					</tr>
					<?php
					endif;
					if ($this->tmpl_params->get('regDate', 1)):
					 ?>
					<tr>
						<td>
							<b><?php echo JText::_("Registration Date")?>:</b>
						</td>
						<td>
							<?php
							if ($item->registerDate == '0000-00-00 00:00:00')
							{
								echo JText::_("Never");
							}
							{
								$registerDate	 = new JDate( $item->registerDate );
								echo $registerDate->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
							}
							?>
						</td>
					</tr>
					<?php
					endif;
					if ($this->tmpl_params->get('lastVisit', 1)):
					?>
					<tr>
						<td>
							<b><?php echo JText::_("Last Visit")?>:</b>
						</td>
						<td>
							<?php
							if ($item->lastvisitDate == '0000-00-00 00:00:00')
							{
								echo JText::_("Never");
							}
							else
							{
								$lastVisit	 = new JDate( $item->lastvisitDate );
								echo $lastVisit->toFormat(COMMUNITY_GENERAL_DATE_FORMAT);
							}
							 ?>

						</td>
					</tr>
					<?php endif; ?>
					<?php if (count($item->additional_data) && $this->tmpl_params->get('additional_data', 1)):
			  		foreach ($item->additional_data as $additional_data)
			  		{
			  			?>
			  			<tr>
			  				<td>
			  					<b><?php echo $additional_data->lable; ?></b>
			  				</td>
			  				<td>
			  					<?php echo $additional_data->value; ?>
			  				</td>
			  			</tr>
			  			<?php
			  		}
			  		endif;
			  	 ?>
			  	 <?php if ($status && $this->tmpl_params->get('show_status', 1)): ?>
					<tr>
						<td><b><?php echo JText::_("Status")?>:</b></td>
						<td><?php echo $status; ?></td>
					</tr>
				<?php endif;?>
				</table>
			</td>

		<?php


		$i++;
}
	?>
</table>

<script language="javascript">
function communityConfirmFriend(frd_id)
{
	document.adminForm.helper.value = frd_id;
	document.adminForm.task.value = 'confirmfriend';
	document.adminForm.controller.value = 'profile';
	document.adminForm.submit();

}

function communityDiscartFriend(frd_id)
{
	var istrue;
	istrue = confirm("<?php echo JText::_("Are you sure to discart this person's friendship"); ?>");
	if(istrue)
	{
		document.adminForm.helper.value = frd_id;
		document.adminForm.task.value = 'discartfriend';
		document.adminForm.controller.value = 'profile';
		document.adminForm.submit();
	}
}
</script>